<?php
/*******************************************************************************
 *   Config Advanced contact
 *******************************************************************************
 *   GuppY PHP Script - version 5.0
 *   CeCILL Copyright (C) 2004-2014 by Laurent Duveau
 *   Initiated by Laurent Duveau and Nicolas Alves
 *   Web site = http://www.freeguppy.org/
 *   e-mail   = guppy@freeguppy.org
 *   V5 developed by Lud Bienaimé
 *      with the participation of Jean-Michel Misrachi and the GuppY Team
 *******************************************************************************
 *   Latest Changes :
 * v5.02.06 (July 03, 2018)      : choice of sending to the webmaster in the contact form
 ******************************************************************************/

if (stristr($_SERVER['SCRIPT_NAME'], 'contact.inc')) {
    header('location:../index.php');
    die();
}

if (is_file(REDACREP.$userprefs[1].INCEXT)) {
    include REDACREP.$userprefs[1].INCEXT;
    if ($drtuser[13] == '') {
        $nomzone = $admin[1183];
        include 'access.inc';
        exit();
    }
}

$lng      = import('lng');
$act      = import('act');
$regit    = import('regit');
$ctconfig = import('ctconfig');
$ctname   = import('ctname');
$ctlbl0   = import('ctlbl0');
$ctlbl1   = import('ctlbl1');

require CHEMIN.'admin/editors/editors_functions.php';
include CHEMIN.INCREP.'func_contact.php';

if ($regit == 1) { // enregistrer la config
    
	$nbdest  = !isset($_POST['nbdest']) ? count($fdest) : import('nbdest');
    $fdest1  = import('fdest1'); // email destinataire par défaut
    $fname1  = addslashes(import('fname1'));
    $f2name1 = addslashes(import('f2name1'));
    $ftel1   = import('ftel1',  'POST', false);
    $ftel11  = import('ftel11', 'POST', false);
    $flet1   = import('flet1',  'POST', false);
    $flet11  = import('flet11', 'POST', false);
    
    // mail destinataire
    $fdest[0]  = import('fdest0'); // email en copie Cc
    $fdest[1]  = ($fdest1 == '') ? $user[1] : $fdest1; // email destinataire par défaut
	for ($d = 2; $d < $nbdest; $d++) {
		$fdest[$d] = import('fdest'.$d); // email destinataire 1+d
	}
    // Noms langue principale
    $fname[0]  = addslashes(import('fname0')); // Choix de destinataire
    $fname[1]  = ($fname1 == '') ? $admin[718] : $fname1; // Nom destinataire 1
	for ($d = 2; $d < $nbdest; $d++) {
		$fname[$d] = addslashes(import('fname'.$d)); // Nom destinataire d
	}
    $fmail[1]  = import('fmail1'); // Pseudo expéditeur
    $fmail[2]  = import('fmail2'); // e-mail expéditeur
    $ftxt[1]   = addslashes(import('ftxt1')); // 1er champ texte
    $ftxt[2]   = addslashes(import('ftxt2')); // 2ème champ texte
    $ftxt[3]   = addslashes(import('ftxt3')); // 3ème champ texte
    $ftxt[4]   = addslashes(import('ftxt4')); // 4ème champ texte
    $ftxt[5]   = addslashes(import('ftxt5')); // 5ème champ texte
    $ftxt[6]   = addslashes(import('ftxt6')); // 6ème champ texte
    $fsel[0]   = addslashes(import('fsel0')); // Champ select
    $fsel[1]   = addslashes(import('fsel1')); // Option 1
    $fsel[2]   = addslashes(import('fsel2')); // Option 2
    $fsel[3]   = addslashes(import('fsel3')); // Option 3
    $fsel[4]   = addslashes(import('fsel4')); // Option 4
    $frad[0]   = addslashes(import('frad0')); // Champ bouton radio
    $frad[1]   = addslashes(import('frad1')); // Choix 1
    $frad[2]   = addslashes(import('frad2')); // Choix 2
    $frad[3]   = addslashes(import('frad3')); // Choix 3
    $frad[4]   = addslashes(import('frad4')); // Choix 4
    $fchk[0]   = addslashes(import('fchk0')); // Champ checkbox
    $fchk[1]   = addslashes(import('fchk1')); // Choix 1
    $fchk[2]   = addslashes(import('fchk2')); // Choix 2
    $fchk[3]   = addslashes(import('fchk3')); // Choix 3
    $fchk[4]   = addslashes(import('fchk4')); // Choix 4
    $fmes[1]   = import('fmes1'); // Champ message
    // Noms langue secondaire
    $f2name[0] = addslashes(import('f2name0')); // Choice of receiver
    $f2name[1] = ($f2name1 == '') ? $admin[718] : $f2name1; // Name default receiver
	for ($d = 2; $d < $nbdest; $d++) {
		$f2name[$d] = addslashes(import('f2name'.$d)); // Name receiver d
	}
    $fmail[11] = import('fmail11'); // Nickname sender
    $fmail[12] = import('fmail12'); // e-mail sender
    $ftxt[11]  = addslashes(import('ftxt11')); // 1st text area
    $ftxt[12]  = addslashes(import('ftxt12')); // 2nd text area
    $ftxt[13]  = addslashes(import('ftxt13')); // 3rd text area
    $ftxt[14]  = addslashes(import('ftxt14')); // 4th text area
    $ftxt[15]  = addslashes(import('ftxt15')); // 5th text area
    $ftxt[16]  = addslashes(import('ftxt16')); // 6th text area
    $fsel[10]  = addslashes(import('fsel10')); // Select area
    $fsel[11]  = addslashes(import('fsel11')); // Option 1
    $fsel[12]  = addslashes(import('fsel12')); // Option 2
    $fsel[13]  = addslashes(import('fsel13')); // Option 3
    $fsel[14]  = addslashes(import('fsel14')); // Option 4
    $frad[10]  = addslashes(import('frad10')); // Button radio
    $frad[11]  = addslashes(import('frad11')); // Choice 1
    $frad[12]  = addslashes(import('frad12')); // Choice 2
    $frad[13]  = addslashes(import('frad13')); // Choice 3
    $frad[14]  = addslashes(import('frad14')); // Choice 4
    $fchk[10]  = addslashes(import('fchk10')); // Check box
    $fchk[11]  = addslashes(import('fchk11')); // Choice 1
    $fchk[12]  = addslashes(import('fchk12')); // Choice 2
    $fchk[13]  = addslashes(import('fchk13')); // Choice 3
    $fchk[14]  = addslashes(import('fchk14')); // Choice 4
    $fmes[11]  = import('fmes11'); // Message area
    // check activation on/off/fix
    $chmail[1] = 'fix'; //Nom
    $chmail[2] = 'fix'; //email
    $chtxt[1]  = import('chtxt1'); // 1er champ
    $chtxt[2]  = import('chtxt2'); // 2ème champ
    $chtxt[3]  = import('chtxt3'); // 3ème champ
    $chtxt[4]  = import('chtxt4'); // 4ème champ
    $chtxt[4]  = import('chtxt4'); // 4ème champ
    $chtxt[4]  = import('chtxt4'); // 4ème champ
    $chtxt[5]  = import('chtxt5'); // 5ème champ
    $chtxt[6]  = import('chtxt6'); // 6ème champ
    $chsel[0]  = import('chsel0'); // Select
    $chrad[0]  = import('chrad0'); // Bouton radio
    $chchk[0]  = import('chchk0'); // Checkbox
    $chmes[1]  = 'fix'; // Message
    $chfic[0]  = import('chfic0', 'POST', true, '0'); // Fichier joint
	// Contact Tel - Contact Postal au dessous de Contact e-Mail(below)
	$ftelbelow[0] = import('ftelbelow0'); // on/off
	$fletbelow[0] = import('fletbelow0'); // on/off
    // Contact par téléphone
    $ftel[0]   = import('ftel0'); // on/off
    $ftel[1]   = addslashes(import('ftel1', 'POST', false));  // libellé langue 1
    $ftel[11]  = addslashes(import('ftel11', 'POST', false)); // libellé langue 2
    // Contact par courrier
    $flet[0]   = import('flet0'); // on/off
    $flet[1]   = addslashes(import('flet1', 'POST', false));  // libellé langue 1
    $flet[11]  = addslashes(import('flet11', 'POST', false)); // libellé langue 2
    $far       = import('ar'); // avis de remise on/off
    $chkcc     = import('chkcc'); // copie au webmestre on/off

    $mettre = "<?php
if (stristr(\$_SERVER[\"SCRIPT_NAME\"], \"".$ctconfig.INCEXT."\")) {
    header(\"location:../index.php\");
    die();
}

// libellé dans boîte latérale
\$ctlbl0 = stripslashes(\"$ctlbl0\"); // 1ère langue
\$ctlbl1 = stripslashes(\"$ctlbl1\"); // 2ème langue
// adresses mail
\$fdest[0] = stripslashes(\"$fdest[0]\"); // email en copie
\$fdest[1] = stripslashes(\"$fdest[1]\"); // email destinataire par défaut";
	for ($d = 2; $d < count($fdest); $d++)
		if ($fdest[$d] != '' && (($lang[0] == $lng && $fname[$d] != '') || ($lang[1] == $lng && $f2name[$d] != ''))) $mettre .= "
\$fdest[$d] = stripslashes(\"$fdest[$d]\"); // email destinataire $d";
  $mettre .= "
//  Noms des rubriques en langue principale
\$fname[0] = stripslashes(\"$fname[0]\"); // Choix destinataire
\$fname[1] = stripslashes(\"$fname[1]\"); // Nom destinataire par défaut";
	for ($d = 2; $d < $nbdest; $d++)
		if ($fdest[$d] != '' && $fname[$d] != '') $mettre .= "
\$fname[$d] = stripslashes(\"$fname[$d]\"); // Nom destinataire $d";
	$mettre .= "
\$fmail[1] = stripslashes(\"$fmail[1]\"); // Pseudo expéditeur
\$fmail[2] = stripslashes(\"$fmail[2]\"); // e-mail expéditeur
\$ftxt[1] = stripslashes(\"$ftxt[1]\"); // 1er champ texte
\$ftxt[2] = stripslashes(\"$ftxt[2]\"); // 2ème champ texte
\$ftxt[3] = stripslashes(\"$ftxt[3]\"); // 3ème champ texte
\$ftxt[4] = stripslashes(\"$ftxt[4]\"); // 4ème champ texte
\$ftxt[5] = stripslashes(\"$ftxt[5]\"); // 5ème champ texte
\$ftxt[6] = stripslashes(\"$ftxt[6]\"); // 6ème champ texte
\$fsel[0] = stripslashes(\"$fsel[0]\"); // Champ select
\$fsel[1] = stripslashes(\"$fsel[1]\"); // Option 1
\$fsel[2] = stripslashes(\"$fsel[2]\"); // Option 2
\$fsel[3] = stripslashes(\"$fsel[3]\"); // Option 3
\$fsel[4] = stripslashes(\"$fsel[4]\"); // Option 4
\$frad[0] = stripslashes(\"$frad[0]\"); // Champ bouton radio
\$frad[1] = stripslashes(\"$frad[1]\"); // Choix 1
\$frad[2] = stripslashes(\"$frad[2]\"); // Choix 2
\$frad[3] = stripslashes(\"$frad[3]\"); // Choix 3
\$frad[4] = stripslashes(\"$frad[4]\"); // Choix 4
\$fchk[0] = stripslashes(\"$fchk[0]\"); // Champ checkbox
\$fchk[1] = stripslashes(\"$fchk[1]\"); // Choix 1
\$fchk[2] = stripslashes(\"$fchk[2]\"); // Choix 2
\$fchk[3] = stripslashes(\"$fchk[3]\"); // Choix 3
\$fchk[4] = stripslashes(\"$fchk[4]\"); // Choix 4
\$fmes[1] = stripslashes(\"$fmes[1]\"); // Champ message
//  Rubric names in secondary language
\$f2name[0] = stripslashes(\"$f2name[0]\"); // Choice of receiver
\$f2name[1] = stripslashes(\"$f2name[1]\"); // Name of default receiver";
	for ($d = 2; $d < $nbdest; $d++)
		if ($fdest[$d] != '' && $fname[$d] != '' && $f2name[$d] != '') $mettre .= "
\$f2name[$d] = stripslashes(\"$f2name[$d]\"); // Nom destinataire $d";
	$mettre .= "
\$fmail[11] = stripslashes(\"$fmail[11]\"); // Nickname sender
\$fmail[12] = stripslashes(\"$fmail[12]\"); // e-mail sender
\$ftxt[11] = stripslashes(\"$ftxt[11]\"); // 1st text area
\$ftxt[12] = stripslashes(\"$ftxt[12]\"); // 2nd text area
\$ftxt[13] = stripslashes(\"$ftxt[13]\"); // 3rd text area
\$ftxt[14] = stripslashes(\"$ftxt[14]\"); // 4th text area
\$ftxt[15] = stripslashes(\"$ftxt[15]\"); // 5th text area
\$ftxt[16] = stripslashes(\"$ftxt[16]\"); // 6th text area
\$fsel[10] = stripslashes(\"$fsel[10]\"); // Select area
\$fsel[11] = stripslashes(\"$fsel[11]\"); // Option 1
\$fsel[12] = stripslashes(\"$fsel[12]\"); // Option 2
\$fsel[13] = stripslashes(\"$fsel[13]\"); // Option 3
\$fsel[14] = stripslashes(\"$fsel[14]\"); // Option 4
\$frad[10] = stripslashes(\"$frad[10]\"); // radio button area
\$frad[11] = stripslashes(\"$frad[11]\"); // Choice 1
\$frad[12] = stripslashes(\"$frad[12]\"); // Choice 2
\$frad[13] = stripslashes(\"$frad[13]\"); // Choice 3
\$frad[14] = stripslashes(\"$frad[14]\"); // Choice 4
\$fchk[10] = stripslashes(\"$fchk[10]\"); // Checkbox area
\$fchk[11] = stripslashes(\"$fchk[11]\"); // Choice 1
\$fchk[12] = stripslashes(\"$fchk[12]\"); // Choice 2
\$fchk[13] = stripslashes(\"$fchk[13]\"); // Choice 3
\$fchk[14] = stripslashes(\"$fchk[14]\"); // Choice 4
\$fmes[11] = stripslashes(\"$fmes[11]\"); // Message area
// activation des champs on / off /fix
\$chmail[1] = stripslashes(\"$chmail[1]\"); // Champ nom 
\$chmail[2] = stripslashes(\"$chmail[2]\"); // Champ email
\$chtxt[1] = stripslashes(\"$chtxt[1]\"); // 1er champ
\$chtxt[2] = stripslashes(\"$chtxt[2]\"); // 2ème champ
\$chtxt[3] = stripslashes(\"$chtxt[3]\"); // 3ème champ
\$chtxt[4] = stripslashes(\"$chtxt[4]\"); // 4ème champ
\$chtxt[5] = stripslashes(\"$chtxt[5]\"); // 5ème champ
\$chtxt[6] = stripslashes(\"$chtxt[6]\"); // 6ème champ
\$chsel[0] = stripslashes(\"$chsel[0]\"); // Select
\$chrad[0] = stripslashes(\"$chrad[0]\"); // Boutons radio
\$chchk[0] = stripslashes(\"$chchk[0]\"); // Checkbox
\$chmes[1] = stripslashes(\"$chmes[1]\"); // message
\$chfic[0] = stripslashes(\"$chfic[0]\"); // fichier joint
// Contact Tel - Contact Postal au dessous de Contact e-Mail(below)
\$ftelbelow[0] = stripslashes(\"$ftelbelow[0]\"); // on/off
\$fletbelow[0] = stripslashes(\"$fletbelow[0]\"); // on/off
// contact par téléphone
\$ftel[0] = stripslashes(\"$ftel[0]\"); // on/off
\$ftel[1] = stripslashes(\"$ftel[1]\"); // texte en langue 1
\$ftel[11] = stripslashes(\"$ftel[11]\"); // text in language 2
// contact par courrier
\$flet[0] = stripslashes(\"$flet[0]\"); // on/off
\$flet[1] = stripslashes(\"$flet[1]\"); // texte en langue 1
\$flet[11] = stripslashes(\"$flet[11]\"); // text in language 2

\$far   = stripslashes(\"$far\"); // receipt on/off
\$chkcc = stripslashes(\"$chkcc\"); // copy to webmaster on/off
?>
";
    WriteFullDB(CONFIGREP.$ctconfig.INCEXT, $mettre);
	unset($fdest, $fname, $f2name);
	$ctfiles = ReadDBFields(CONFIGREP.'ctconfigs.dtb');
	for($i = 0; $i < count($ctfiles); $i++) {
		if ($ctfiles[$i][1] == $ctconfig) {
			$ctfiles[$i][3] = $ctlbl0;
			$ctfiles[$i][4] = $ctlbl1;
		}
	}
	WriteDBFields(CONFIGREP.'ctconfigs.dtb', $ctfiles);
    if ($site[7] == 'on' || PHP700) {
        @ob_flush();
        sleep(PHP700 ? 3 : $site[8]);
        echo BeginJavascript().'window.location="'.CHEMIN.'admin/admin.php?lng='.$lng.'&pg=contact&act='.$act.'&ctconfig='.$ctconfig.'";'.EndJavascript();
    }
}

if ($regit == 2) {
	if (is_file(CONFIGREP.$ctname.INCEXT)) {
		echo BeginJavascript().'
alert("'.addslashes($admin[1585].$admin[1590].' contact'.$admin[1586]).'");
history.back();
'.EndJavascript();
	} else {
		$ctfiles = ReadDBFields(CONFIGREP.'ctconfigs.dtb');
		rsort($ctfiles);
		$num = $ctfiles[0][0] + 1;
		$i   = count($ctfiles);
		$ctfiles[$i] = array($num, $ctname, 'a', $ctlbl0, $ctlbl1);
		sort($ctfiles);
		WriteDBFields(CONFIGREP.'ctconfigs.dtb', $ctfiles);

		$mettre = "<?php
if (stristr(\$_SERVER[\"SCRIPT_NAME\"], \"".$ctname.INCEXT."\")) {
    header(\"location:../index.php\");
    die();
}

// libellé dans boîte latérale
\$ctlbl0 = stripslashes(\"$ctlbl0\"); // 1ère langue
\$ctlbl1 = stripslashes(\"$ctlbl1\"); // 2ème langue
// adresses mail
\$fdest[0] = stripslashes(\"\"); // email en copie
\$fdest[1] = stripslashes(\"\"); // email destinataire par défaut";
		for ($d = 2; $d < 4; $d++)
			$mettre .= "
\$fdest[$d] = stripslashes(\"\"); // email destinataire $d";
		$mettre .= "
//  Noms des rubriques en langue principale
\$fname[0] = stripslashes(\"\"); // Choix destinataire
\$fname[1] = stripslashes(\"\"); // Nom destinataire par défaut";
		for ($d = 2; $d < 4; $d++)
			$mettre .= "
\$fname[$d] = stripslashes(\"\"); // Nom destinataire $d";
		$mettre .= "
\$fmail[1] = stripslashes(\"\"); // Pseudo expéditeur
\$fmail[2] = stripslashes(\"\"); // e-mail expéditeur
\$ftxt[1] = stripslashes(\"\"); // 1er champ texte
\$ftxt[2] = stripslashes(\"\"); // 2ème champ texte
\$ftxt[3] = stripslashes(\"\"); // 3ème champ texte
\$ftxt[4] = stripslashes(\"\"); // 4ème champ texte
\$ftxt[5] = stripslashes(\"\"); // 5ème champ texte
\$ftxt[6] = stripslashes(\"\"); // 6ème champ texte
\$fsel[0] = stripslashes(\"\"); // Champ select
\$fsel[1] = stripslashes(\"\"); // Option 1
\$fsel[2] = stripslashes(\"\"); // Option 2
\$fsel[3] = stripslashes(\"\"); // Option 3
\$fsel[4] = stripslashes(\"\"); // Option 4
\$frad[0] = stripslashes(\"\"); // Champ bouton radio
\$frad[1] = stripslashes(\"\"); // Choix 1
\$frad[2] = stripslashes(\"\"); // Choix 2
\$frad[3] = stripslashes(\"\"); // Choix 3
\$frad[4] = stripslashes(\"\"); // Choix 4
\$fchk[0] = stripslashes(\"\"); // Champ checkbox
\$fchk[1] = stripslashes(\"\"); // Choix 1
\$fchk[2] = stripslashes(\"\"); // Choix 2
\$fchk[3] = stripslashes(\"\"); // Choix 3
\$fchk[4] = stripslashes(\"\"); // Choix 4
\$fmes[1] = stripslashes(\"\"); // Champ message
//  Rubric names in secondary language
\$f2name[0] = stripslashes(\"\"); // Choice of receiver
\$f2name[1] = stripslashes(\"\"); // Name of default receiver";
		for ($d = 2; $d < 4; $d++)
			$mettre .= "
\$f2name[$d] = stripslashes(\"\"); // Nom destinataire $d";
		$mettre .= "
\$fmail[11] = stripslashes(\"\"); // Nickname sender
\$fmail[12] = stripslashes(\"\"); // e-mail sender
\$ftxt[11] = stripslashes(\"\"); // 1st text area
\$ftxt[12] = stripslashes(\"\"); // 2nd text area
\$ftxt[13] = stripslashes(\"\"); // 3rd text area
\$ftxt[14] = stripslashes(\"\"); // 4th text area
\$ftxt[15] = stripslashes(\"\"); // 5th text area
\$ftxt[16] = stripslashes(\"\"); // 6th text area
\$fsel[10] = stripslashes(\"\"); // Select area
\$fsel[11] = stripslashes(\"\"); // Option 1
\$fsel[12] = stripslashes(\"\"); // Option 2
\$fsel[13] = stripslashes(\"\"); // Option 3
\$fsel[14] = stripslashes(\"\"); // Option 4
\$frad[10] = stripslashes(\"\"); // radio button area
\$frad[11] = stripslashes(\"\"); // Choice 1
\$frad[12] = stripslashes(\"\"); // Choice 2
\$frad[13] = stripslashes(\"\"); // Choice 3
\$frad[14] = stripslashes(\"\"); // Choice 4
\$fchk[10] = stripslashes(\"\"); // Checkbox area
\$fchk[11] = stripslashes(\"\"); // Choice 1
\$fchk[12] = stripslashes(\"\"); // Choice 2
\$fchk[13] = stripslashes(\"\"); // Choice 3
\$fchk[14] = stripslashes(\"\"); // Choice 4
\$fmes[11] = stripslashes(\"\"); // Message area
// activation des champs on / off /fix
\$chmail[1] = stripslashes(\"\"); // Champ nom 
\$chmail[2] = stripslashes(\"\"); // Champ email
\$chtxt[1] = stripslashes(\"\"); // 1er champ
\$chtxt[2] = stripslashes(\"\"); // 2ème champ
\$chtxt[3] = stripslashes(\"\"); // 3ème champ
\$chtxt[4] = stripslashes(\"\"); // 4ème champ
\$chtxt[5] = stripslashes(\"\"); // 5ème champ
\$chtxt[6] = stripslashes(\"\"); // 6ème champ
\$chsel[0] = stripslashes(\"\"); // Select
\$chrad[0] = stripslashes(\"\"); // Boutons radio
\$chchk[0] = stripslashes(\"\"); // Checkbox
\$chmes[1] = stripslashes(\"\"); // message
\$chfic[0] = stripslashes(\"\"); // fichier joint
// Contact Tel - Contact Postal au dessous de Contact e-Mail(below)
\$ftelbelow[0] = stripslashes(\"\"); // on/off
\$fletbelow[0] = stripslashes(\"\"); // on/off
// contact par téléphone
\$ftel[0] = stripslashes(\"\"); // on/off
\$ftel[1] = stripslashes(\"\"); // texte en langue 1
\$ftel[11] = stripslashes(\"\"); // text in language 2
// contact par courrier
\$flet[0] = stripslashes(\"\"); // on/off
\$flet[1] = stripslashes(\"\"); // texte en langue 1
\$flet[11] = stripslashes(\"\"); // text in language 2

\$far   = stripslashes(\"\"); // receipt on/off
\$chkcc = stripslashes(\"\"); // copy to webmaster on/off
?>
";
		WriteFullDB(CONFIGREP.$ctname.INCEXT, $mettre);
	}
    if ($site[7] == 'on' || PHP700) {
        @ob_flush();
        sleep(PHP700 ? 3 : $site[8]);
        echo BeginJavascript().'window.location="'.CHEMIN.'admin/admin.php?lng='.$lng.'&pg=contact&act='.$act.'";'.EndJavascript();
    }
}

if ($regit == 3) {
	$ctfiles = ReadDBFields(CONFIGREP.'ctconfigs.dtb');
    for($i = 0; $i < count($ctfiles); $i++) {
		if ($ctfiles[$i][1] == $ctconfig) $ctfiles[$i][2] = $ctfiles[$i][2] == 'a' ? 'i' : 'a';
	}
	WriteDBFields(CONFIGREP.'ctconfigs.dtb', $ctfiles);
    if ($site[7] == 'on') {
        flush();
        sleep($site[8]);
        header('location:'.CHEMIN.'admin/admin.php?lng='.$lng.'&pg=contact&act='.$act);
    }
}

if ($regit == 4) {
	$cttemp  = array();
	$ctfiles = ReadDBFields(CONFIGREP.'ctconfigs.dtb');
    for($i = 0; $i < count($ctfiles); $i++) {
		if ($ctfiles[$i][1] != $ctconfig) $cttemp[] = $ctfiles[$i];
	}
	WriteDBFields(CONFIGREP.'ctconfigs.dtb', $cttemp);
	unlink(CONFIGREP.$ctconfig.INCEXT);
    if ($site[7] == 'on') {
        flush();
        sleep($site[8]);
        header('location:'.CHEMIN.'admin/admin.php?lng='.$lng.'&pg=contact&act='.$act);
    }
}
    
if ($regit == 5) {
    include CONFIG;
    $serviz[155] = import('serviz155'); // type de courriel Contact
    include 'inc/confupdt.inc';
    if ($site[7] == 'on' || PHP700) {
        @ob_flush();
        sleep(PHP700 ? 3 : $site[8]);
        echo BeginJavascript().'window.location="'.CHEMIN.'admin/admin.php?lng='.$lng.'&pg=contact&act='.$act.'";'.EndJavascript();
    }
}

if (is_file ($meskin.'confskin.inc')) {
    include $meskin.'confskin.inc';
} else {
    include CHEMIN.'skins/no_skin/confskin.inc';
}

$headinc .= BeginJavascript().'
function VerifyForm0() {
    var sto    = "";
    var erreur = false;
    var lng2   = "'.$lang[1].'";
    regexp     = /^[^\.\s]+(\.[^\.\s]+)*@[^\.\s]+(\.[^\.\s]+)+$/;
    if (document.fcontact.fdest1.value > "") {
        if (!regexp.test(document.fcontact.fdest1.value)) {
            sto += "  - '.addslashes($admin[544]).' #1\n";
			document.fcontact.fdest1.className = "errorInputText";
            erreur = true;
        }
    }
    if (document.fcontact.fdest2.value > "") {
        if (!regexp.test(document.fcontact.fdest2.value)) {
            sto += "  - '.addslashes($admin[544]).' #2\n";
			document.fcontact.fdest2.className = "errorInputText";
            erreur = true;
        }
    }
    if (document.fcontact.fdest3.value > "") {
        if (!regexp.test(document.fcontact.fdest3.value)) {
            sto += "  - '.addslashes($admin[544]).' #3\n";
			document.fcontact.fdest3.className = "errorInputText";
            erreur = true;
        }
    }
    if (document.fcontact.fdest4.value > "") {
        if (!regexp.test(document.fcontact.fdest4.value)) {
            sto += "  - '.addslashes($admin[544]).' #4\n";
			document.fcontact.fdest4.className = "errorInputText";
            erreur = true;
        }
    }
    if (document.fcontact.fdest5.value > "") {
        if (!regexp.test(document.fcontact.fdest5.value)) {
            sto += "  - '.addslashes($admin[544]).' #5\n";
			document.fcontact.fdest5.className = "errorInputText";
            erreur = true;
        }
    }
    var mail1 = document.fcontact.fmail1.value;
    if (mail1.length < 5) {
        sto += "  - '.addslashes($admin[1194].' '.$admin[1195].$admin[1177]).'\n";
		document.fcontact.fmail1.className = "errorInputText";
        erreur = true;
    }
    if (lng2 > "") {
        var mail2 = document.fcontact.fmail2.value;
        if (mail2.length < 5) {
            sto += "  - '.addslashes($admin[1194].' '.$admin[1195].$admin[1178]).'\n";
			document.fcontact.fmail2.className = "errorInputText";
            erreur = true;
        }
    }    
    var mail11 = document.fcontact.fmail11.value;
    if (mail11.length < 5) {
        sto += "  - '.addslashes($admin[1194].' '.$admin[1196].$admin[1177]).'\n";
		document.fcontact.fmail11.className = "errorInputText";
        erreur = true;
    }
    if (lng2 > "") {
        var mail12 = document.fcontact.fmail12.value;
        if (mail12.length < 5) {
            sto += "  - '.addslashes($admin[1194].' '.$admin[1196].$admin[1178]).'\n";
			document.fcontact.fmail12.className = "errorInputText";
            erreur = true;
        }
    }    
    var mes1 = document.fcontact.fmes1.value;
    if (mes1.length < 5) {
        sto += "  - '.addslashes($admin[1194].' '.$admin[1017].$admin[1177]).'\n";
		document.fcontact.fmes1.className = "errorInputText";
        erreur = true;
    }
    if (lng2 > "") {
        var mes11 = document.fcontact.fmes11.value;
        if (mes11.length < 5) {
            sto += "  - '.addslashes($admin[1194].' '.$admin[1017].$admin[1178]).'\n";
			document.fcontact.fmes11.className = "errorInputText";
            erreur = true;
        }
    }    
	if (document.fcontact.ctlbl0.value == "") {
		sto += "  - '.addslashes($admin[949].' '.$admin[1177]).'\n";
		document.fcontact.ctlbl0.className = "errorInputText";
		erreur = true;
	}
	if (lng2 > "") {
		if (document.fcontact.ctlbl1.value == "") {
			sto += "  - '.addslashes($admin[949].' '.$admin[1178]).'\n";
			document.fcontact.ctlbl1.className = "errorInputText";
			erreur = true;
		}
	}
    if (erreur == true) {
        sto = "'.addslashes($admin[1589]).'\n\n" + sto;
        alert(sto);
        return false;
    }
}
function VerifyForm1() {
    var sto    = "";
    var erreur = false;
    var lng2   = "'.$lang[1].'";
	if (document.scontact.ctname.value == "") {
		sto += "  - '.addslashes($admin[1585].$admin[1590].' contact'.$admin[1586]).'\n";
		document.scontact.ctname.className = "errorInputText";
		erreur = true;
	} else {
		regexp = /^[-a-z0-9_]{2,20}$/;
		if (!regexp.test(document.scontact.ctname.value)) {
			sto += "  - '.addslashes($admin[1585].$admin[1590].' contact'.$admin[1586]).'\n";
			document.scontact.ctname.className = "errorInputText";
			erreur = true;
		}
	}
	if (document.scontact.ctlbl0.value == "") {
		sto += "  - '.addslashes($admin[949].' '.$admin[1177]).'\n";
		document.scontact.ctlbl0.className = "errorInputText";
		erreur = true;
	}
	if (lng2 > "") {
		if (document.scontact.ctlbl1.value == "") {
			sto += "  - '.addslashes($admin[949].' '.$admin[1178]).'\n";
			document.scontact.ctlbl1.className = "errorInputText";
			erreur = true;
		}
	}
	if (erreur == true) {
        sto = "'.addslashes($admin[1589]).'\n\n" + sto;
        alert(sto);
        return false;
    }
}'.EndJavascript();

$topmess = '<a href="admin.php?lng='.$lng.'">Admin</a> > '.str_replace('Admin - ', '', $admin[1181]);
include CHEMIN.'admin/hpage.inc';
if ($wri == 'admin') include CHEMIN.'admin/administrateur.php';
if ($wri == $userprefs[1]) include CHEMIN.'admin/adminredac.php';
htable($admin[1181], "100%");
$n = ($lng == $lang[0] ? 3 : 4);
if ($serviz[49] != 'on') {
	$path_minieditortextarea_config ='admin/editors/guppy_config/';
	require CHEMIN.'admin/editors/minieditortextarea/minieditortextarea.inc';
}

################################################################################
// choix et création d'un contact
if (empty($act) || $act == 1) {
    include CONFIG;
	$ctfiles = ReadDBFields(CONFIGREP.'ctconfigs.dtb');
    echo '
<p style="text-align:center;">'.ToHelp($lng, 'contact1').$admin[1445].'</p>
<hr />
<div style="width:550px; margin:auto;">
  <fieldset style="padding-top:12px;">
    <form name="scontact" action="admin.php?lng='.$lng.'&amp;pg=contact"  method="post" onsubmit="return VerifyForm1(); return false;">
	  <input type="hidden" name="act" value="1" />
	  <input type="hidden" name="regit" value="2" />
	  <table class="bord" style="text-align:center;width:480px;margin:auto;">
	    <tr class="forum">
		  <td colspan="2" style="width:360px;text-align:center;"><b>'.$admin[1183].'</b></td>
		  <td colspan="3" style="width:120px;text-align:center;"><b>'.$admin[680].'</b></td>
		</tr>';
    foreach ($ctfiles as $ct) {
		$alt = $ct[2] == 'a' ? $admin[32] : $admin[34];
		$img = $ct[2] == 'a' ? 'on' : 'off';
		echo '
		<tr class="rep">
		  <td style="width:120px;text-align:left;">'.$ct[1].'</td>
		  <td style="width:240px;text-align:left;">'.$ct[$lng == $lang[0] ? 3 : 4].'</td>
		  <td style="width:40px;text-align:center;">
		    <a href="admin.php?lng='.$lng.'&amp;pg=contact&amp;act=2&amp;ctconfig='.$ct[1].'" title="'.$admin[144].' '.$ct[1].'">
			  <img src="inc/img/files/edit.gif" alt="'.$admin[144].' '.$ct[1].'" />
            </a><br />
		  </td>
		  <td style="width:40px;text-align:center;">';
		if ($ct[1] != 'ctconfig') {
			echo '
	        <a href="admin.php?lng='.$lng.'&amp;pg=contact&amp;act=1&amp;regit=3&amp;ctconfig='.$ct[1].'" title="'.$alt.' '.$ct[1].'">
		      <img src="inc/img/files/'.$img.'.gif" style="width:14px;height:14px;" alt="'.$alt.' '.$ct[1].'" />
			</a>';
		}
		echo '
		  </td>
		  <td style="width:40px;text-align:center;">';
		if ($ct[1] != 'ctconfig') {
			echo '
		    <a href="admin.php?lng='.$lng.'&amp;pg=contact&amp;act=1&amp;regit=4&amp;ctconfig='.$ct[1].'" title="'.$admin[186].' '.$ct[1].'">
			  <img src="inc/img/files/sup.gif" alt="'.$admin[186].' '.$ct[1].'" />
			</a><br />';
		}
		echo '
		  </td>
		</tr>';
    }
    unset($ctfiles);
    echo '
	  </table><br />';
    echo '
	  <br />
	  <table style="width:460px;margin:auto;">
	    <tr>
		  <td style="text-align:right;">'.$admin[1590].' contact :</td>
		  <td> <input class="texte" type="text" name="ctname" value="" style="width:120px;" /></td>
		</tr>
		<tr>
		  <td style="text-align:right;">'.$admin[949].' '.$admin[1177].' :</td>
		  <td> <input class="texte" type="text" name="ctlbl0" value="" style="width:240px;" /></td>
		</tr>';
	if ($lang[1] != '')
		echo '
		<tr>
		  <td style="text-align:right;">'.$admin[949].' '.$admin[1178].' :</td>
		  <td> <input class="texte" type="text" name="ctlbl1" value="" style="width:240px;" /></td>
		</tr>';
	echo '
	  </table>
      <div class="quest" style="padding:2px 20px;">
        <div style="float:right">'.SubmitButton($admin[38], '', '', $imgdroite).'</div>
        <div style="clear:both"></div>
      </div>
    </form>
  </fieldset>
  <fieldset style="padding-top:12px;">
    <form name="mcontact" action="admin.php?lng='.$lng.'&amp;pg=contact"  method="post">
	  <input type="hidden" name="act" value="1" />
	  <input type="hidden" name="regit" value="5" />
      <div style="text-align:center;margin-bottom:12px;">
        '.$admin[230].'
        <select name="serviz155">
          <option value="standard"'.Selected('standard' == $serviz[155]).'>'.$admin[231].'</option>
          <option value="standard_2"'.Selected('standard_2' == $serviz[155]).'>'.$admin[232].' standard_2</option>
          <option value="phpmailer"'.Selected('phpmailer' == $serviz[155]).'>'.$admin[232].' phpmailer</option>
        </select>
      </div>
      <div class="quest" style="padding:2px 20px;">
        <div style="float:right">'.SubmitButton($admin[38], '', '', $imgdroite).'</div>
        <div style="clear:both"></div>
      </div>
    </form>
  </fieldset>
</div>';
}
################################################################################
// modification d'un contact
elseif ($act == 2) {
	if (is_file(CONFIGREP.$ctconfig.INCEXT)) include CONFIGREP.$ctconfig.INCEXT;
	echo '
<p style="text-align:center;width:100%;margin:auto;"><br />'.ToHelp($lng, 'contact').$admin[1189].'</p>
<hr />
<form name="fcontact" action="admin.php?lng='.$lng.'&amp;pg=contact" method="post" onsubmit="return VerifyForm0(); return false;">
  <input type="hidden" name="act" value="2" />
  <input type="hidden" name="regit" value="1" />
  <input type="hidden" name="ctconfig" value="'.$ctconfig.'" />
  <div style="text-align:center;">'.$admin[949].' '.$admin[1446].'</div>
  <table style="width:460px;margin:auto;">
    <tr>
	  <td style="text-align:center;">
	    <img src="'.$flag1.'" style="width:24px;height:16px;vertical-align:middle;" alt="'.$lang[0].'" />&nbsp;
		<input class="texte" type="text" name="ctlbl0" value="'.$ctlbl0.'" style="width:240px;" />
	  </td>
    </tr>';
	if ($lang[1] != '')
		echo '
    <tr>
	  <td style="text-align:center;">
	    <img src="'.$flag2.'" style="width:24px;height:16px;vertical-align:middle;" alt="'.$lang[1].'" />&nbsp;
		<input class="texte" type="text" name="ctlbl1" value="'.$ctlbl1.'" style="width:240px;" />
	  </td>
    </tr>';
	echo '
  </table>
  <hr />
  <div style="text-align:center;width:700px;margin:auto;">
      <div class="quest" style="padding:2px 20px;">
        <div style="float:right">'.SubmitButton($admin[66], '', '', $imgdroite).'</div>
        <div style="clear:both"></div>
      </div>
	  <fieldset><legend style="text-align:center;">'.mb_strtoupper($admin[1682], $charset).'</legend>';

	// Select email destinataire ------------------------------
	if (!empty($lang[1])) {
	  $tpos = '<span style="padding-left:16px;">&nbsp; </span>';
	  $pos  = '20px';
	} else {
	  $tpos = '<span style="padding-left:32px;">&nbsp; </span>';
	  $pos  = '10px';
	}
	echo '
	  <p style="text-align:center"><strong>'.$admin[1683].' '.mb_strtolower($admin[759], $charset).'</strong></p>
	  <div style="text-align:left;width:520px;margin:0 auto;">
		<div style="width:100%;text-align:left;">&bull; ';
	if (!empty($lang[1])) {
		echo '
			  <img src="'.$flag1.'" style="width:24px;height:16px;vertical-align:middle;" alt="'.$lang[0].'" />&nbsp; ';
	}
	echo '
		  <input class="texte" name="fname0" type="texte" style="width:208px;" value="'.htmlentities($fname[0], ENT_QUOTES, $charset).'" />
		  <img src="'.CHEMIN.'admin/inc/img/general/select.gif" alt="Select" style="vertical-align:middle;" /><br />';
	$fname[1] = ($fname[1] == '') ? $admin[718] : $fname[1];
    $f2name[1] = ($f2name[1] == '') ? $admin[718] : $f2name[1];
	$fdest[1] = ($fdest[1] == '') ? $user[1] : $fdest[1];
	if (!empty($lang[1])) {
		echo '
		  &bull; <img src="'.$flag2.'" style="width:24px;height:16px;vertical-align:middle;" alt="'.$lang[1].'" />&nbsp; 
		  <input class="texte" name="f2name0" type="texte" style="width:208px;" value="'.htmlentities($f2name[0], ENT_QUOTES, $charset).'" />
		  <img src="'.CHEMIN.'admin/inc/img/general/select.gif" alt="Select" style="vertical-align:middle;" />';
	}
	echo '
		</div>
      <div style="width:100%;float:left;position:relative;left:'.$pos.';padding:4px 4px 4px;text-align:left;">';
	$nb     = count($fdest) < 5 ? 5 : count($fdest) + 2;
	$fdest  = array_pad($fdest, $nb, '');
	$fname  = array_pad($fname, $nb, '');
	$f2name = array_pad($f2name, $nb, '');
	echo '
      <input type="hidden" name="nbdest" value='.$nb.' />';
	for ($d = 1; $d < $nb; $d++) {
		$note = $d != 1 ? '' : ' (*)';
		echo '
      <div>- &nbsp;';
		if (!empty($lang[1])) {
			echo '
        <img src="'.$flag1.'" style="width:24px;height:16px;vertical-align:middle;" alt="'.$lang[0].'" />&nbsp; ';
		} else 
			echo '
        <img src="'.CHEMIN.'img/trans.gif" style="width:24px;height:16px;vertical-align:middle;" alt="'.$lang[0].'" />&nbsp; ';
		echo '
        <input class="texte" name="fname'.$d.'" type="texte" style="width:160px;" value="'.htmlentities($fname[$d], ENT_QUOTES, $charset).'" />&nbsp;: '.$tpos.'
        <input class="texte" name="fdest'.$d.'" type="texte" style="width:200px;" value="'.$fdest[$d].'" />'.$note.'
      </div>';
		if (!empty($lang[1])) {
			echo '
      <div style="padding-bottom:8px">
        - &nbsp;<img src="'.$flag2.'" style="width:24px;height:16px;vertical-align:middle;" alt="'.$lang[1].'" />&nbsp;
        <input class="texte" name="f2name'.$d.'" type="texte" style="width:160px;" value="'.htmlentities($f2name[$d], ENT_QUOTES, $charset).'" /><br />
      </div>';
		}
	}
	echo '<div style="clear:both"></div>
    </div>';

	// Copie Cc et Bcc -----------------------------------------
	echo '
    <div style="width:140px;float:left;position:relative;left:-22px;padding:4px 0;text-align:left;">&bull; '.$admin[1190].' :</div>
    <div style="width:360px;float:left;position:relative;left:-18px;padding: 0 4px;text-align:left;">
      <input class="texte" name="fdest0" type="texte" style="width:360px;" value="'.$fdest[0].'" />
    </div>
    <div style="clear:both;"><br /></div>
    <div style="width:200px;float:left;position:relative;left:-22px;padding:4px 0;text-align:left;">&bull; '.$admin[459].'</div>
    <div style="width:48px;float:left;position:relative;left:-22px;padding: 0 4px;text-align:left;">
      <input class="texte" type="checkbox" name="chkcc"'.Checked($chkcc).' />
		      <div class="pop" style="width:20px;float:right;margin-left:-32px;">
			    <a><img src="'.$reptheme.'/say.png" />
			      <span style="left:-240px;width:260px;text-align:justify;z-index:999;"><em style="left:auto;right:20px;"></em>
                    '.$help[26].'
                  </span>
                </a>
		      </div>
    </div>
    <div style="clear:both;"><br /></div>
  </div><hr />';

	// mail expéditeur ----------------------------------------
	echo '
  <p style="text-align:center;"><strong>'.$admin[1191].' :</strong></p>';
	ItemCheck('chmail1', $chmail[1]);
	ItemName($admin[1194].' '.$admin[1195], 'fmail1', $fmail[1], 'fmail11', $fmail[11]);
	ItemCheck('chmail2', $chmail[2]);
	ItemName($admin[1194].' '.$admin[1196], 'fmail2', $fmail[2], 'fmail12', $fmail[12]);

	// zones texte 1 à 3 --------------------------------------
	echo '
  <hr /><p style="text-align:center"><strong>'.$admin[1192].mb_strtolower($admin[1017]).'</strong></p>';
	ItemCheck('chtxt1', $chtxt[1]);
	ItemName($admin[1197], 'ftxt1', $ftxt[1], 'ftxt11', $ftxt[11]);

	ItemCheck('chtxt2', $chtxt[2]);
	ItemName($admin[1198], 'ftxt2', $ftxt[2], 'ftxt12', $ftxt[12]);

	ItemCheck('chtxt3', $chtxt[3]);
	ItemName($admin[1199], 'ftxt3', $ftxt[3], 'ftxt13', $ftxt[13]);

	// zone select --------------------------------------------
	ItemCheck('chsel0', $chsel[0]);
	echo '
  <div style="text-align:left;width:100%;padding-bottom:8px;">
    <div style="width:120px;float:left;position:relative;top:12px;padding-left:12px;">&bull; '.$admin[1193].'</div>
    <div style="width:240px;float:left;position:relative;top:7px;left:238px;padding:0 8px 0 0;text-align:right;">';
	if (!empty($lang[1])) {
		echo '
      <img src="'.$flag1.'" style="width:24px;height:16px;vertical-align:middle;" alt="'.$lang[0].'" /> &nbsp;';
	}
	echo '
      <input class="texte" name="fsel0" type="texte" size="22" value="'.htmlentities($fsel[0], ENT_QUOTES, $charset).'" />
      <img src="'.CHEMIN.'admin/inc/img/general/select.gif" alt="Select" style="vertical-align:middle;" /><br />';
	//----

	for ($s = 1; $s <= 4; $s++) {
		echo '
      - &nbsp;<input class="texte" name="fsel'.$s.'" type="texte" size="24" value="'.htmlentities($fsel[$s], ENT_QUOTES, $charset).'" /><br />';
	}
	if (!empty($lang[1])) {
		echo '
      <img src="'.$flag2.'" style="width:24px;height:16px;vertical-align:middle;" alt="'.$lang[1].'" /> &nbsp;
      <input class="texte" name="fsel10" type="texte" size="22" value="'.htmlentities($fsel[10], ENT_QUOTES, $charset).'" />
      <img src="'.CHEMIN.'admin/inc/img/general/select.gif" alt="Select" style="vertical-align:middle;" /><br />';
		for ($s = 11; $s <= 14; $s++) {
			echo '
      - &nbsp;<input class="texte" name="fsel'.$s.'" type="texte" size="24" value="'.htmlentities($fsel[$s], ENT_QUOTES, $charset).'" /><br />';
		}
	}
	echo '
    </div>
    <div style="clear:both;"></div>
  </div>';

	// zone boutons radio -------------------------------------
	ItemCheck("chrad0", $chrad[0]);
	echo '
  <div style="text-align:left;width:520px;padding-bottom:8px;">
    <div style="width:120px;float:left;position:relative;top:12px;padding-left:12px;">&bull; '.$admin[1203].'</div>
    <div style="width:230px;float:left;position:relative;top:7px;left:248px;padding:0 8px 0 0;text-align:right;">';
	if (!empty($lang[1])) {
		echo '
      <img src="'.$flag1.'" style="width:24px;height:16px;vertical-align:middle;" alt="'.$lang[0].'" /> &nbsp;';
	}
	echo '
      <input class="texte" name="frad0" type="texte" size="24" value="'.htmlentities($frad[0], ENT_QUOTES, $charset).'" /><br />';
	for ($b = 1; $b <= 4; $b++) {
		echo '
      <img src="'.CHEMIN.'admin/inc/img/general/radio.gif" alt="Radio button" style="vertical-align:middle;" />
      <input class="texte" name="frad'.$b.'" type="texte" size="24" value="'.htmlentities($frad[$b], ENT_QUOTES, $charset).'" /><br />';
	}
	if (!empty($lang[1])) {
		echo '
      <img src="'.$flag2.'" style="width:24px;height:16px;vertical-align:middle;" alt="'.$lang[1].'" /> &nbsp;
      <input class="texte" name="frad10" type="texte" size="24" value="'.htmlentities($frad[10], ENT_QUOTES, $charset).'" /><br />';
		for ($b = 11; $b <= 14; $b++) {
			echo '
      <img src="'.CHEMIN.'admin/inc/img/general/radio.gif" alt="Radio button" style="vertical-align:middle;" />
      <input class="texte" name="frad'.$b.'" type="texte" size="24" value="'.htmlentities($frad[$b], ENT_QUOTES, $charset).'" /><br />';
		}
	}
	echo '
    </div>
    <div style="clear:both;"></div>
  </div>';

	// zone cases à cocher ------------------------------------
	ItemCheck("chchk0", $chchk[0]);
	echo '
  <div style="text-align:left;width:520px;padding-bottom:8px;">
    <div style="width:120px;float:left;position:relative;top:12px;padding-left:12px;">&bull; '.$admin[1204].'</div>
    <div style="width:230px;float:left;position:relative;top:7px;left:248px;padding:0 8px 0 0;text-align:right;">';
	if (!empty($lang[1])) {
		echo '
      <img src="'.$flag1.'" style="width:24px;height:16px;vertical-align:middle;" alt="'.$lang[0].'" /> &nbsp;';
	}
	echo '
      <input class="texte" name="fchk0" type="texte" size="24" value="'.htmlentities($fchk[0], ENT_QUOTES, $charset).'" /><br />';
	for ($c = 1; $c <= 4; $c++) {
		echo '
      <img src="'.CHEMIN.'admin/inc/img/general/check.gif" alt="Check" style="vertical-align:middle;" />
      <input class="texte" name="fchk'.$c.'" type="texte" size="24" value="'.htmlentities($fchk[$c], ENT_QUOTES, $charset).'" /><br />';
	}
	if (!empty($lang[1])) {
		echo '
      <img src="'.$flag2.'" style="width:24px;height:16px;vertical-align:middle;" alt="'.$lang[1].'" /> &nbsp;
      <input class="texte" name="fchk10" type="texte" size="24" value="'.htmlentities($fchk[10], ENT_QUOTES, $charset).'" /><br />';
		for ($c = 11; $c <= 14; $c++) {
			echo '
      <img src="'.CHEMIN.'admin/inc/img/general/check.gif" alt="Check" style="vertical-align:middle;" />
      <input class="texte" name="fchk'.$c.'" type="texte" size="24" value="'.htmlentities($fchk[$c], ENT_QUOTES, $charset).'" /><br />';
		}
	}
	echo '
    </div>
    <div style="clear:both;"></div>
  </div>';

	// zones texte 4 à 6 --------------------------------------
	ItemCheck('chtxt4', $chtxt[4]);
	ItemName($admin[1200], 'ftxt4', $ftxt[4], 'ftxt14', $ftxt[14]);

	ItemCheck('chtxt5', $chtxt[5]);
	ItemName($admin[1201], 'ftxt5', $ftxt[5], 'ftxt15', $ftxt[15]);

	ItemCheck('chtxt6', $chtxt[6]);
	ItemName($admin[1202], 'ftxt6', $ftxt[6], 'ftxt16', $ftxt[16]);

	ItemCheck('chmes1', $chmes[1]);
	ItemName($admin[1194].' '.$admin[1017], 'fmes1', $fmes[1], 'fmes11', $fmes[11]);

	// zone fichiers joints -----------------------
	echo '
  <div style="text-align:left;width:520px;">
    <div style="width:120px;float:left;position:relative;top:9px;padding-left:12px;">&bull; '.$admin[1205].'</div>
    <div style="width:240px;float:left;position:relative;top:4px;left:28px;padding:0 8px 0 0;text-align:left;">
      <select name="chfic0" style="width:100px;">';
	for ($s = 0; $s < 6; $s++) { // max fichiers
		echo '
        <option value="'.$s.'"'; 
		if ($chfic[0] == $s) { 
			echo ' selected="selected"'; 
		} 
		echo '>'.$s.'</option>';
	}
	echo '
      </select></div>
    <div style="clear:both;"></div>
  </div>';

	// Notice -----------------------------
	echo '
  <p style="text-align:left;padding:12px 0;">&nbsp;(*) <span class="notice">'.$admin[1206].'</span></p><hr />';

	// receipt
	echo '
  <div style="width:250px;float:left;position:relative;top:12px;padding-left:12px;text-align:left;">&bull; <strong>'.$admin[1207].' </strong></div>
  <div style="width:240px;float:right;position:relative;top:6px;padding:0 0 8px 0;text-align:left;">
    <input class="texte" type="checkbox" name="ar"'.Checked($far).' />'; 
	echo '
  </div>
  <div style="clear:both;"></div>
  </p>
</fieldset>';
	
	// ----------- Phone contact - OPTION au dessous de Contact e-Mail - Phone contact below e-Mail contact --------------
	echo '
    <div class="quest" style="padding:2px 20px;">
      <div style="float:right">'.SubmitButton($admin[66], '', '', $imgdroite).'</div>
      <div style="clear:both"></div>
    </div>
<fieldset><legend style="text-align:center;">'.mb_strtoupper($admin[1684], $charset).'&nbsp;<input class="texte" name="ftel0" type="checkbox"';
	if ($ftel[0]) echo ' checked="checked"';
	echo ' /></legend>';
	echo '<div style="text-align:center;"><strong>'.$admin[1553].'</strong>&nbsp;<input class="texte" name="ftelbelow0" type="checkbox"';
	if ($ftelbelow[0]) echo ' checked="checked"';
	echo ' /></div>';
	echo '
  <div style="text-align:left;width:100%;">
    <p style="text-align:left;">&bull; '.$admin[1208].'</p>
    <div style="text-align:left;">';
	if (!empty($lang[1])) {
		echo '
      <img src="'.$flag1.'" alt="'.$lang[0].'" style="width:24px;height:16px;padding:0 0 5px 10px;" />&nbsp;';
	}
	$wysiwyg = $serviz[49] == 'on' ? true : false;
	$ftel1 = stripslashes($ftel[1]);
	display_admin_editor('ftel1', '100%', '140px', $ftel1, $wysiwyg);
	if (!empty($lang[1])) {
		echo '
      <img src="'.$flag2.'" alt="'.$lang[1].'" style="width:24px;height:16px;padding:5px 0 5px 10px;" />&nbsp; ';
		$ftel11 = stripslashes($ftel[11]);
		display_admin_editor('ftel11', '100%', '140px', $ftel11, $wysiwyg);
	}
	echo '
    </div>
  </div>
</fieldset>';

	// ----------- Postal contact - OPTION au dessous de Contact e-Mail - Postal contact below e-Mail contact ------
	echo '
    <div class="quest" style="padding:2px 20px;">
      <div style="float:right">'.SubmitButton($admin[66], '', '', $imgdroite).'</div>
      <div style="clear:both"></div>
    </div>
<fieldset><legend style="text-align:center;">'.mb_strtoupper($admin[1685], $charset).'&nbsp;<input class="texte" name="flet0" type="checkbox"';
	if ($flet[0]) echo ' checked="checked"';
	echo ' /></legend>';
	echo '<div style="text-align:center;"><strong>'.$admin[1553].'</strong>&nbsp;<input class="texte" name="fletbelow0" type="checkbox"';
	if ($fletbelow[0]) echo ' checked="checked"';
	echo ' /></div>';
	echo '
  <div style="text-align:left;width:100%;">
    <p style="text-align:left;">&bull; '.$admin[1208].'</p>
    <div style="text-align:left">';
	if (!empty($lang[1])) {
		echo '
      <img src="'.$flag1.'" alt="'.$lang[0].'" style="width:24px;height:16px;padding:0 0 5px 10px;" />';
	}
	$flet1 = stripslashes($flet[1]);
	display_admin_editor('flet1', '100%', '140px', $flet1, $wysiwyg);
	if (!empty($lang[1])) {
		echo '
      <img src="'.$flag2.'" alt="'.$lang[1].'" style="width:24px;height:16px;padding:5px 0 5px 10px;" />&nbsp; ';
	$flet11 = stripslashes($flet[11]);
	display_admin_editor('flet11', '100%', '140px', $flet11, $wysiwyg);
	}
	echo '
    </div>
  </div>
</fieldset>
    <div class="quest" style="padding:2px 20px;">
      <div style="float:right">'.SubmitButton($admin[66], '', '', $imgdroite).'</div>
      <div style="clear:both"></div>
    </div>
  </div>
</form>';
}

btable();
include CHEMIN.'admin/bpage.inc';
?>
