<?php
/*******************************************************************************
 *   Admin extra Free Boxes
 *******************************************************************************
 *   GuppY PHP Script - version 5.0
 *   CeCILL Copyright (C) 2004-2014 by Laurent Duveau
 *   Initiated by Laurent Duveau and Nicolas Alves
 *   Web site = http://www.freeguppy.org/
 *   e-mail   = guppy@freeguppy.org
 *   V5 developed by Lud Bienaimé
 *      with the participation of Jean-Michel Misrachi and the GuppY Team
 *******************************************************************************
 *   Latest Changes :
 * v5.02.02 (December 18, 2017)  : modify $qintro
 ******************************************************************************/

if (stristr($_SERVER['SCRIPT_NAME'], 'freebox.inc')) {
    header('location:../index.php');
    die();
}

if (is_file(REDACREP.$userprefs[1].INCEXT)) {
    include REDACREP.$userprefs[1].INCEXT;
    if ($drtuser[26] == '') {
        $nomzone = $admin[270].'1';
        include 'access.inc';
        exit();
    }
}

$form      = import('form');

$qtype     = TYP_FREEBOX;
$bname     = 1;
$bemail    = 1;
$bcat      = 1;
$btitre    = 1;
$bcontenu  = 1;
$bnouveau  = 1;
$qformonly = 0;
$qtitle    = $admin[989];
$qintro    = '<p style="text-align:center;">'.ToHelp($lng, 'freebox').'</p>'.$admin[272].(empty($form) ? $admin[223].$admin[1733] : '');
$qseeall   = $admin[503];
$qwrite    = $admin[988];
$qcat      = '';
$qtitre    = $admin[274];
$qcontenu  = $admin[273];
$qnouveau  = $admin[1092];

function ShowValidBoxes($accept = '') {
    global $admin;
    $valid = array(
        BOX_TOP => false, BOX_BOTTOM => false,
        BOX_LEFT => false, BOX_RIGHT => false,
        BOX_ABOVE => false, BOX_UNDER => false,
        BOX_EDITO => false );
    for ($i = 0; $i < strlen($accept); $i++) {
        $letter = substr($accept, $i, 1);
        if (isset($valid[$letter])) $valid[$letter] = true;
    }
    return '
<div style="text-align:left;padding:5px;width:420px;margin:auto;">
  <div style="width:402px;border:1px solid;">
    <label style="margin-left:152px;"><input type="checkbox" name="valid['.BOX_TOP.']"'.Checked($valid[BOX_TOP]).' />'.$admin[1085].'</label>
  </div>
  <div>
    <div style="float:left;width:100px;height:7em;border:1px solid;">
      <label style="margin-left:10px;"><input type="checkbox" name="valid['.BOX_LEFT.']"'.Checked($valid[BOX_LEFT]).' />'.$admin[1086].'</label>
    </div>
    <div style="float:left;width:200px;">
      <div style="width:200px;border:1px solid;height:2em;">
        <label style="margin-left:50px;margin-top:2px;"><input type="checkbox" name="valid['.BOX_ABOVE.']"'.Checked($valid[BOX_ABOVE]).' />'.$admin[1087].'</label>
      </div>
      <div style="width:200px;border:1px solid;height:2em;">
        <label style="margin-left:50px;margin-top:2px;"><input type="checkbox" name="valid['.BOX_EDITO.']"'.Checked($valid[BOX_EDITO]).' />'.$admin[1088].'</label>
      </div>
      <div style="width:200px;border:1px solid;height:2em;">
        <label style="margin-left:50px;"><input type="checkbox" name="valid['.BOX_UNDER.']"'.Checked($valid[BOX_UNDER]).' />'.$admin[1089].'</label>
      </div>
    </div>
    <div style="float:left;width:100px;height:7em;border:1px solid;">
      <label style="margin-left:10px;"><input type="checkbox" name="valid['.BOX_RIGHT.']"'.Checked($valid[BOX_RIGHT]).' />'.$admin[1090].'</label>
    </div>
  </div>
  <div style="clear:both;width:402px;border:1px solid;">
    <label style="margin-left:152px;"><input type="checkbox" name="valid['.BOX_BOTTOM.']"'.Checked($valid[BOX_BOTTOM]).' />'.$admin[1091].'</label>
  </div>
</div>
';
}

include 'inc/admin.inc';
?>
