<?php
/*******************************************************************************
 *   Carnet de bord des administrateurs et rédacteurs
 *******************************************************************************
 *   GuppY PHP Script - version 5.0
 *   CeCILL Copyright (C) 2004-2014 by Laurent Duveau
 *   Initiated by Laurent Duveau and Nicolas Alves
 *   Web site = http://www.freeguppy.org/
 *   e-mail   = guppy@freeguppy.org
 *   V5 developed by Lud Bienaimé
 *      with the participation of Jean-Michel Misrachi and the GuppY Team
 *******************************************************************************
 *   Latest Changes :
 * v5.02.02 (December 18, 2017)  : deleting the GuppYUser5 cookie
 ******************************************************************************/

if (stristr($_SERVER["SCRIPT_NAME"], "notes.inc")) {
	header("location:../index.php");
	die();
}

if ($serviz[3] == 'on' && isAdmin($userprefs[1])) {
    $lignes = ReadDBFields(ADMNOTES);
    $note   = trim(stripslashes(import('note')));
    if (!empty($note)) {
        $lignes[] = array(
            GetCurrentDateTime(),
            $userprefs[1],
            $note
            );
        while (count($lignes) > NB_NOTES) {
            array_shift($lignes);
        }
        WriteDBFields(ADMNOTES, $lignes);
    }
    echo '
<form name="notes" method="post" action="admin.php?lng='.$lng.'">
  <fieldset>'.legend($admin[937]).'
    <textarea name="setnotes" id="setnotes" rows="'.max(8, min(30, ceil(NB_NOTES / 5))).'" readonly="readonly" style="width:100%;font-size:11px;">
';
    $lignes = array_reverse($lignes);
    foreach($lignes as $ligne) {
        echo FormatDate($ligne[0]).' '.$ligne[1].' : '.htmlentities($ligne[2], NULL, $charset)."\n";
    }
    echo '
    </textarea>
	<div style="text-align:center;">
    '.$admin[938].' 
	<input type="text" name="note" style="width:75%; font-size:11px;"/>
	'.SubmitButton($admin[38], '', '', $imgdroite).'
	</div>
  </fieldset>
</form>
<hr />';
}
?>
