<?php
/*******************************************************************************
 *   Archived Blog
 *******************************************************************************
 *   GuppY PHP Script - version 5.0
 *   CeCILL Copyright (C) 2004-2014 by Laurent Duveau
 *   Initiated by Laurent Duveau and Nicolas Alves
 *   Web site = http://www.freeguppy.org/
 *   e-mail   = guppy@freeguppy.org
 *   V5 developed by Lud Bienaimé
 *      with the participation of Jean-Michel Misrachi and the GuppY Team
 *******************************************************************************
 *   Latest Changes :
 * v5.02.08 (December 15, 2018)  : blog with independent side columns
 ******************************************************************************/

if (stristr($_SERVER['SCRIPT_NAME'], 'blogarch.inc')) {
    header('location:../index.php');
    die();
}

function BlogInfo($pos = NULL) {
    global $lng, $lang, $drtuser, $page, $site, $serviz, $userprefs, $web, $urlrw, $tconfig, $z2, 
        $id, $prt, $headinc, $pg, $topmess, $widepage, $sel, $cat, $datej, $date, $userprefs3, $reptheme,
        $titre, $xposbox;
    global $type, $fileid, $status, $creadate, $moddate, $author, $email,
         $fielda1, $fielda2, $fieldb1, $fieldb2, $fieldc1, $fieldc2,
         $fieldd1, $fieldd2, $fieldweb, $fieldmail, $fieldmod;

    $max_height = isset($site[36]) && $site[36] > 0 && empty($prt) ? $site[36] : 0;
    
    $sel   = isset($sel) ? $sel : 'none';
    $pg    = isset($pg) ? $pg : '0';
    $cat   = isset($cat) ? $cat : '0';
    $datej = isset($datej) ? $datej : '0';
    $date  = isset($date) ? $date : '0';
    $out   = '';
    
    if ($page[9] != '') {
        $topmess = '<img src="'.CHEMIN.'inc/img/icons/'.$page[9].'/blog.gif" class="f-right img32x32 valignMiddle" alt="" />'.$topmess;
    }
    $xdbw = array();
    switch ($sel) {
    case 'pg': // cas billet unique ---------------------
        if (!empty($pg)) {
            $titre = '';
            $xdbw = SelectDBFields(TYP_BLOG, 'a', $pg, DOCIDARCH);
            if (count($xdbw) != 0) {
                ReadDoc($pg, ARCHDBBASE);
                if (!isAccessGranted($fieldmod)) {
					header('HTTP/1.0 403 Forbidden');
                }
            } else {
                if ($site[10] != '') {
                    header('location:'.$site[3].'error.php?lng='.$lng.'&err=404');
                    exit;
                }
                else header('HTTP/1.0 404 Not Found');
            }
        }
        break;
    case 'cat': // cas liste catégorie -----------------
        if (!empty($cat)) {
            $titre = $cat;
            $dbwork = ReadDBFields(DBBLOGARCH);
            if (!empty($dbwork)) {
                $j = $lng == $lang[0]? 0 : 1;
                for ($i = 0; $i < count($dbwork); $i++) {
                    if ($cat == strip_tags($dbwork[$i][0+$j]) && isAcccessGranted($dbwork[$i][6])) {
                        $xdbw[$i][0] = TYP_BLOG;
                        $xdbw[$i][1] = $dbwork[$i][4];
                    }
                }
            }
        }
        break;
    case 'jour': // cas liste jour ---------------------
        if (!empty($datej)) {
            $titre = $web[403].substr(formatDate($datej), 0, 10);
            $date = $datej;
            $dbwork = ReadDBFields(DBBLOGARCH);
            for ($i = 0; $i < count($dbwork); $i++) {
                if (!isAccessGranted($dbwork[$i][6])) continue;
                ReadDoc($dbwork[$i][4]);
                $datebi = CutLongWord($creadate, 8);
                if ($datebi == $datej) {
                    $xdbw[$i][0] = $typ;
                    $xdbw[$i][1] = $fileid;
                }
            }
        }
        break;
    case 'mois': // cas liste mois ---------------------
        if (!empty($date)) {
            $titre = $web[399].' '.substr(formatDate($date), 1, 7);
            $dbwork = ReadDBFields(DBBLOGARCH);
            for ($i = 0; $i < count($dbwork); $i++) {
                if (!isAccessGranted($dbwork[$i][6])) continue;
                ReadDoc($dbwork[$i][4]);
                $datebi = CutLongWord($creadate, 6);
                if ($datebi == $date) {
                    $xdbw[$i][0] = $typ;
                    $xdbw[$i][1] = $fileid;
                }
            }
        }
        break;
    default: // cas liste globlale ---------------------
        $titre = $web[383];
        $dbwork = ReadDBFields(DBBLOGARCH);
        foreach ($dbwork as $db) {
            if (isAccessGranted($db[6])) {
                $xdbw[] = array(TYP_BLOG, $db[4], 'a');
            }
        }
        unset($dbwork);
    }
    if (!empty($xdbw) || $sel == 'mois' || NULL == $pos) {
        @rsort($xdbw);
        if (empty($id)) {
            $id = 1;
        }
        if (NULL == $pos) {// blog
            $minblog = $serviz[55];
            $maxblog = Min($serviz[55]*$id,count($xdbw));
        } else {// edito
            $minblog = $site[31];
            $maxblog = Min($site[31],count($xdbw));
            $id = 1;
        }

        if (isset($prt) && 3 == abs($prt)) {
            $id = 1;
            $minblog = 99999;
            $maxblog = min($minblog, count($xdbw));
        }
        if (NULL == $pos) { // blog
            $out .= '
<br />
<div class="width100">
  <div id="MainBlog">';
            $out .= '
  <div id="BlogCenterBoxes"'.(TYP_SCREEN == 'WEB' ? '' : ' class="width100"').'>';
            $out .= '
    <div class="titrebox">'.$titre.'</div>';
        }
        if (NULL == $pos) { // blog
            $out .= GetNavBar(($site['URLR'] == 'on' ? $lng.'-'.$urlrw[1].'-44-'.$sel.'-'.$pg.'-'.$cat.'-'.$datej.'-'.$date.'-': 'blogsarch.php?lng='.$lng.'&amp;sel='.$sel.'&amp;pg='.$pg.'&amp;cat='.$cat.'&amp;datej='.$datej.'&amp;date='.$date.'&amp;id='), count($xdbw), $id, $minblog, $z2);
        }
        $nbrnvisi = count($xdbw) > $site[31] ? $site[31] : count($xdbw);
        if (count($xdbw) == 0) {
            // Cas particuliers
            if ($sel == 'mois') {
                // Le mois est vide
                $out .= '
    <p class="textCenter fontBold">'.$web[438].'</p>';
            } else {
                // Le blog est vide
                $out .= '
    <p class="textCenter fontBold">'.$web[439].($site[30] == '2'? '' : '<br />'.$web[440]).'</p>';
            }
        } else {
            // Cas général
            for ($i = $minblog*($id-1); $i < $maxblog; $i++) {
                ReadDoc($xdbw[$i][1], ARCHDBBASE);
                $txt0 = $fileid;
                if ($lng == $lang[0]) {
                    $txt1 = $fieldb1;
                    $txt2 = $fieldc1;
                }
                else {
                    $txt1 = $fieldb2;
                    $txt2 = $fieldc2;
                }
                if (!empty($txt2)) {
                    if (!empty($fieldd2)) {
                        $txt1 = '<img src="'.CHEMIN.'img/'.$fieldd2.'" class="f-right" alt="'.$fieldd2.'"/>'.$txt1;
                    }
                    $out .= '
    <p class="textLeft lnkblarch">
      <a href="'.$site[3].($site['URLR'] == 'on'? $lng.'-'.$urlrw[1].'-42-'.$fileid.$z2 : 'blogarch.php?lng='.$lng.'&amp;pg='.$fileid.$z2).'" title="'.$web[511].'"><b>'.$txt1.'</b></a> &nbsp;';
					if ($serviz[114] != 'on') {
						if ($fieldd1 == 'on' && !empty($email) && !empty($author)) {
							$out .= '- &nbsp;'.$web[6].displayWriteEmail('blog'.$i, $author, $email);
						}
						elseif (!empty($author)) {
							$out .= '- &nbsp;'.$web[6].'
            <b>'.$author.'</b>';
						}
					}
                    $out .= '
    </p>
      ';
                    $txt3 = '
          <a id="billet'.$pos.$i.'"></a>
		  <div id="blog3'.$i.'" class="rep blog3Blog">';
                    if (!empty($txt2)) {
                        $txt3 .= '
<style>
.txt2arch {
  height: '.($max_height > 0 ? $max_height.'px' : 'auto').';
  '.($max_height > 0 ? ' overflow: hidden;' : '').'
  padding: 4px;
}
</style>
            <div class="rep txt2arch">'.$txt2.'</div>';
                    if ($max_height > 0) $txt3 .= '
            <p class="textRight"> 
		      <a href="javascript:ActiveMenu(\'blog3\',\'blog2\',0,'.$nbrnvisi.','.$i.')" class="box" title="'.$web[296].'">'.$web[505].' 
			    <img src="'.$reptheme.'/plus.png" alt="'.$web[296].'" />
		      </a>
            </p>';
                    $txt3 .= '
		  </div>';
                    if ($max_height > 0) $txt3 .= '
	      <div id="blog2'.$i.'" class="rep displayNone blog2Blog">'.$txt2.'
		    <p class="textRight clsCursor">
              <a href="#billet'.$pos.$i.'" title="'.$web[57].'" onclick="cache(\'blog2'.$i.'\');montre(\'blog3'.$i.'\')">
	            '.$web[57].' <img src="'.$reptheme.'/minus.png" alt="'.$web[57].'" />
              </a>
	        </p>
		  </div>';
                    }
                    $out .= $txt3;
                    $out .= '
    <div class="textRight valignMiddle headblogarch">
      <form name="formblog'.$i.'" action="'.CHEMIN.($site['URLR'] == 'on' ? $lng.'-'.$urlrw[1].'-70'.$z2 : 'blogarch.php?lng='.$lng.$z2).'" method="post">
        <b>'.$web[394].'</b>'.FormatDate($creadate).'&nbsp;';
                    $out .= '
      <input type="hidden" name="pg" value="'.$fileid.'"/>
      <input type="hidden" name="cat" value="'.$cat.'"/>
      <input type="hidden" name="sel" value="'.$sel.'"/>';
                    if (empty($serviz[76]) && TYP_SCREEN == 'WEB') {
                        $out .= '
      <a href="'.CHEMIN.($site['URLR'] == 'on' ? $lng.'-'.$urlrw[1].'-43-'.$fileid.'--1': 'blogarch.php?lng='.$lng.'&amp;pg='.$fileid.'&amp;prt=-1').'" target="'.TYP_BLANK.'">
        <img src="'.$reptheme.'/look.png" alt="'.$web[264].'" title="'.$web[264].'" />
      </a>&nbsp;
      <a href="'.CHEMIN.($site['URLR'] == 'on' ? $lng.'-'.$urlrw[1].'-43-'.$fileid.'-1': 'blogarch.php?lng='.$lng.'&amp;pg='.$fileid.'&amp;prt=1').'" target="'.TYP_BLANK.'">
        <img src="'.$reptheme.'/print.png" alt="'.$web[22].'" title="'.$web[22].'" />
      </a>&nbsp;';
                    }
                    $out .= '
    </form>
  </div>';
                }
            }
            if (NULL == $pos) { // blog
				$out .= GetNavBar(($site['URLR'] == 'on' ? $lng.'-'.$urlrw[1].'-44-'.$sel.'-'.$pg.'-'.$cat.'-'.$datej.'-'.$date.'-': 'blogsarch.php?lng='.$lng.'&amp;sel='.$sel.'&amp;pg='.$pg.'&amp;cat='.$cat.'&amp;datej='.$datej.'&amp;date='.$date.'&amp;id='), count($xdbw), $id, $minblog, $z2);
            }
        }
        if (NULL == $pos) { // blog
            $out .= '
  </div>';
        }
            $out .= '
</div></div>
';
        return boxwide($pos, $topmess, $out, ' ABG'.$tconfig);
    }
    else {
        if (NULL == $pos) { // blog
            if ($site[10] != '') {
                header('location:'.$site[3].'error.php?lng='.$lng.'&err=404');
                exit;
            }
            else header('HTTP/1.0 404 Not Found');
            $out .= '
<hr />
<div class="blogarch">'.$web[36].'</div>
<hr />';
        } else { // edito
            $out .= '
<p class="textCenter fontBold">'.$web[439].($site[30] == '2'? '' : '<br />'.$web[440]).'</p>';
        }
        return boxwide($pos, $topmess, $out, ' ABG'.$tconfig);
    }
}
?>
