<?php
/*******************************************************************************
 *   Blog comment box
 *******************************************************************************
 *   GuppY PHP Script - version 5.0
 *   CeCILL Copyright (C) 2004-2014 by Laurent Duveau
 *   Initiated by Laurent Duveau and Nicolas Alves
 *   Web site = http://www.freeguppy.org/
 *   e-mail   = guppy@freeguppy.org
 *   V5 developed by Lud Bienaimé
 *      with the participation of Jean-Michel Misrachi and the GuppY Team
 *******************************************************************************
 *   Latest Changes :
 * v5.02.00 (May 09, 2017)       : improvement of impressions
 *                               : removal of PGEditor
 ******************************************************************************/

if (stristr($_SERVER['SCRIPT_NAME'], 'boxreblog.inc')) {
    header('location:../index.php');
    die();
}

if ($serviz[57] == "") {
    exit($web[143]);
}

$react = import('react');
$cat   = import('cat');

$dbwork = array();
if (!empty($react)) {
    $dbwork[0] = $react;
}
elseif (!empty($pg)) {
    $dbreaction = ReadDBFields(DBREBLOG);
    for ($i = 0; $i < count($dbreaction); $i++) {
        if ($dbreaction[$i][1] == $pg && isAccessGranted($dbreaction[$i][6])) {
            $dbwork[] = $dbreaction[$i][0];
        }
    }
}
@sort($dbwork);

echo '
<div class="titrebox">'.$web[407].'</div>
<div>
  <form name="formreblog1" action="'.($site['URLR'] == 'on' ? $lng.'-'.$urlrw[14].'-4-'.TYP_REBLOG.'-'.$pg.$z2 : $site['PG'].'.php?lng='.$lng.'&amp;typ='.TYP_REBLOG.'&amp;pg='.$pg.$z2).'" method="post">
    <p class="textCenter">'.SubmitButton($web[380]).'</p>
  </form>';
if (empty($id)) {
    $id = 1;
}
if (!empty($dbwork)) {
    if (3 == abs($prt)) {
        $id = 1;
        $serviz[30] = 99999;
    }
    echo GetNavBar(($site['URLR'] == 'on' ? $lng.'-'.$urlrw[1].'-45-'.$pg.'-': $site['BL'].'.php?lng='.$lng.'&amp;pg='.$pg.'&amp;id='), count($dbwork), $id, $serviz[30], $z2);
    for ($i = $serviz[30]*($id-1); $i < Min($serviz[30]*$id, count($dbwork)); $i++) {
        ReadDoc($dbwork[$i]);
        if ($status == 'a') {
            echo '
<div class="tbldiv width100 boxreBlog">
  <div class="trtbldiv textLeft">
    <div class="forum tdtbldiv width15 valignTop boxreBlog2"><p>'.$web[185].$fielda1.'&nbsp;</p></div>
    <div class="quest tdtbldiv valignMiddle boxreBlog3">&nbsp;'.$web[6].' ';
            if ($fieldd1 == 'on') {
                echo displayWriteEmail('reblog'.$i, $author, $email);
            }
            else {
                echo '
      <b>'.$author.'</b> ';
            }
            echo '
      '.$web[7].' '.FormatDate($creadate).'
    </div>
  </div>
</div>
<div class="tbldiv width100 bodyreBlog">
  <div class="trtbldiv">
    <div class="rep tdtbldiv">';
            echo '
      '.$fieldc1.'
    </div>
  </div>
</div>
<div class="tbldiv width100">
  <div class="trtbldiv">
    <div class="tdtbldiv">';
            if (empty($prt))
                echo '
      '.displayQuickConfig(NULL, $dbwork[$i], 'reblog&amp;form=2&amp;id='.$dbwork[$i], 'reblog&amp;act=i&amp;id='.$dbwork[$i], 'reblog&amp;del='.$dbwork[$i], 40);
            echo '
    </div>
  </div>
</div>';
        }
    }
    echo GetNavBar(($site['URLR'] == 'on' ? $lng.'-'.$urlrw[1].'-45-'.$pg.'-': $site['BL'].'.php?lng='.$lng.'&amp;pg='.$pg.'&amp;id='), count($dbwork), $id, $serviz[30], $z2);
    if (count($dbwork) > 1) {
        echo '
  <form name="formreblog2" action="'.($site['URLR'] == 'on' ? $lng.'-'.$urlrw[14].'-4'.TYP_REBLOG.'-'.$pg.$z2 : $site['PG'].'.php?lng='.$lng.'&amp;typ='.TYP_REBLOG.'&amp;pg='.$pg.$z2).'" method="post">
    <p class="textCenter">'.SubmitButton($web[380]).'</p>
  </form>';
    }
}
else {
    echo '
  <p class="textCenter">'.$web[186].'</p>';
}
echo '
</div>';
?>
