<?php
/*******************************************************************************
 *   Archived Blog comment box
 *******************************************************************************
 *   GuppY PHP Script - version 5.0
 *   CeCILL Copyright (C) 2004-2014 by Laurent Duveau
 *   Initiated by Laurent Duveau and Nicolas Alves
 *   Web site = http://www.freeguppy.org/
 *   e-mail   = guppy@freeguppy.org
 *   V5 developed by Lud Bienaimé
 *      with the participation of Jean-Michel Misrachi and the GuppY Team
 *******************************************************************************
 *   Latest Changes :
 * v5.02.00 (May 09, 2017)       : removal of PGEditor
 ******************************************************************************/

if (stristr($_SERVER['SCRIPT_NAME'], 'boxreblogarch.inc')) {
    header('location:../index.php');
    die();
}

if ($serviz[57] == "") {
    exit($web[143]);
}

$react = import('react');
$cat   = import('cat');

$dbwork = array();
if (!empty($react)) {
    $dbwork[0] = $react;
}
elseif (!empty($pg)) {
    $dbreaction = ReadDBFields(DBREBLOGARCH);
    for ($i = 0; $i < count($dbreaction); $i++) {
        if ($dbreaction[$i][1] == $pg && isAccessGranted($dbreaction[$i][6])) {
            $dbwork[] = $dbreaction[$i][0];
        }
    }
}
@sort($dbwork);

echo '
<div class="titrebox">'.$web[407].'</div>';
if (empty($id)) {
    $id = 1;
}
if (!empty($dbwork)) {
    if (3 == abs($prt)) {
        $id = 1;
        $serviz[30] = 99999;
    }
    echo GetNavBar(($site['URLR'] == 'on' ? $lng.'-'.$urlrw[1].'-46-'.$pg.'-': 'blogarch.php?lng='.$lng.'&amp;pg='.$pg.'&amp;id='), count($dbwork), $id, $serviz[30], $z2);
    for ($i = $serviz[30]*($id-1); $i < Min($serviz[30]*$id, count($dbwork)); $i++) {
        ReadDoc($dbwork[$i], ARCHDBBASE);
        if ($status == 'a') {
            echo '
  <div class="bord textLeft boxreBlog">
    <p class="boxreBlog2"><b>'.$web[185].$fielda1.'</b>&nbsp; - &nbsp;'.$web[6].' ';
            if ($fieldd1 == 'on') {
                echo '
      <b>'.$author.'</b> ';
            }
            echo '
      '.$web[7].' '.FormatDate($creadate).'
    </p>
    <div class="rep">';
            echo '
      '.$fieldc1.'
    </div>
  </div>';
        }
    }
    echo GetNavBar(($site['URLR'] == 'on' ? $lng.'-'.$urlrw[1].'-46-'.$pg.'-': 'blogarch.php?lng='.$lng.'&amp;pg='.$pg.'&amp;id='), count($dbwork), $id, $serviz[30], $z2);
}
else {
    echo '
  <p class="textCenter">'.$web[186].'</p>';
}
echo '
</div>';
?>
