<?php
/*******************************************************************************
 *   Install Language Strings
 *******************************************************************************
 *   GuppY PHP Script - version 5.0
 *   CeCILL Copyright (C) 2004-2014 by Laurent Duveau
 *   Initiated by Laurent Duveau and Nicolas Alves
 *   Web site = http://www.freeguppy.org/
 *   e-mail   = guppy@freeguppy.org
 *   V5 developed by Lud Bienaimé
 *      with the participation of Jean-Michel Misrachi and the GuppY Team
 *******************************************************************************
 *   Latest Changes :
 * v5.0.0 (February 15, 2014) : initial release.
 ******************************************************************************/

if (stristr($_SERVER['SCRIPT_NAME'], 'fr-install.inc')) {
    header('location:../index.php');
    die();
}

$version = '5.0';

$clean[0] = 'Non...';
$clean[1] = 'INSTALLATION OU MIGRATION DE GUPPY';
$clean[2] = '
<div style="text-align:center;">Ce script permet :</div>
<ul>
  <li>ou bien de vider la base de données de démonstration livrée avec GuppY version '.$version.' et de préparer votre base de données vierge</li>
  <li>ou bien de migrer à la version '.$version.' de GuppY à partir d\'une version 4.6 (impératif : pour les versions inférieures, passer d\'abord en version 4.6)</li>
</ul>
<div style="text-align:center;">
  Une fois l\'une de ces opérations réalisée, il vous sera proposé de supprimer ce script d\'installation de votre serveur,
  <br />opération INDISPENSABLE pour éviter que des personnes indélicates ne viennent corrompre votre site GuppY.
</div>';
$clean[3] = '
<div style="text-align:left;padding:0 64px;">
  <u><b>IMPORTANT :</b></u> à lire entièrement
  <ul>
    <li>assurez-vous de bien avoir lu le fichier <a href="../documentation/lisezmoi.html" target="_blank">lisezmoi.html</a> (je vous conseille même de l\'imprimer) avant de poursuivre.</li>
	<li>avez-vous validé les configurations du site, en particulier <b>Config générale</b> ?</li>
	<li>si ce n\'est déjà fait, il est fortement conseillé de faire une sauvegarde complète du site avant de poursuivre</li>
	<li>une partie de la structure de votre site sera modifiée :
	  <ul>
	    <li>réorganisation des données dans le répertoire data</li>
		<li>les skins seront dans le répertoire skins, compte-tenu de l\'incompatibilité avec l\'ancienne version</li>
	  </ul>
	</li>
  </ul>
</div>';
$clean[4] = 'Allons-y !';
$clean[5] = '
<div style="text-align:center;">
  Vous êtes en <b>version %s</b> de Guppy.<br /><br />Choisissez ce que vous désirez faire :
</div>';
$clean[6] = 'Installation propre &nbsp;(effacement de la base de démonstration)';
$clean[7] = 'Migration &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;(passage à la nouvelle version)';
$clean[8] = 'Suppression des fichiers d\'installation/migration';
$clean[9] = 'Retour à la page d\'accueil de votre site';
$clean[10] = 'SUPPRESSION DES FICHIERS D\'INSTALLATION DE GUPPY';
$clean[11] = '
<div style="text-align:center;">Ce script permet :</div>
<ul>
  <li> de supprimer ce script d\'installation de votre serveur, opération INDISPENSABLE pour éviter que des personnes indélicates ne viennent corrompre votre site GuppY</li>
</ul>';
$clean[12] = 'Suppression des fichiers d\'installation';
$clean[13] = '
<div style="text-align:center;">Vous êtes sur le point de supprimer les fichiers d\'installation de GuppY.</div>';
$clean[14] = '
<div style="text-align:center;">Suppression du répertoire d\'installation EN COURS.</div>';
$clean[15] = '
<div style="text-align:center;">Etape n°1/1 : Suppression du répertoire d\'installation TERMINEE.</div>';
$clean[16] = 'INSTALLATION DE GUPPY EN VERSION '.$version;
$clean[17] = '<div style="text-align:center;">Ce script permet :</div><ul><li>de vider la base de données de démonstration livrée avec GuppY version '.$version.' et de préparer votre base de données vierge</li></ul>';
$clean[18] = 'Installation propre';
$clean[19] = '<div style="text-align:center;">Vous êtes  sur le point de lancer une installation propre.</div>';
$clean[20] = '<div style="text-align:center;">Installation propre EN COURS.</div>';
$clean[21] = '<div style="text-align:center;">Etape n° 1/2 : Base de données supprimée.</div>';
$clean[22] = '<div style="text-align:center;">Etape n° 2/2 : Base de données vierge créée.</div>';
$clean[23] = '<div style="text-align:center;">Installation propre TERMINEE.</div>';
$clean[24] = '<div style="text-align:center;">L\'installation en version '.$version.' de GuppY est maintenant terminée.</div>';
$clean[25] = 'Suivant';
$clean[26] = 'MIGRATION DE GUPPY EN VERSION '.$version;
$clean[27] = '<div style="text-align:center;">Ce script permet :</div><ul><li>de migrer à la version '.$version.' de GuppY à partir d\'une version 4.6</li></ul>';
$clean[28] = 'Migration à la version '.$version;
$clean[29] = '<div style="text-align:center;">Vous êtes sur le point de lancer une migration à la version '.$version.'</div>';
$clean[30] = '<div style="text-align:center;">Migration à la version '.$version.' EN COURS.<br />ATTENTION ! Cette opération peut être longue.</div>';
$clean[31] = '<div style="text-align:center;">Etape n°7/8 : Migration du paramétrage terminée.</div>';
$clean[32] = '<div style="text-align:center;">Suppression des fichiers obsolétes EN COURS.</div>';
$clean[33] = '<div style="text-align:center;">Etape n°8/8 : Suppression des fichiers obsolétes terminée.</div>';
$clean[34] = '<div style="text-align:center;">Migration à la version '.$version.' TERMINEE.</div>';
$clean[35] = '<div style="text-align:center;">La migration en version '.$version.' de GuppY est maintenant terminée.</div>';
$clean[36] = '<div style="text-align:center;">Etape n°1/8 : Migration des utilisateurs terminée. %s</div>';
$clean[371] = '<div style="text-align:center;">Etape n°2/8 : Migration des documents terminée. [1/3] %s</div>';
$clean[372] = '<div style="text-align:center;">Etape n°3/8 : Migration des documents terminée. [2/3]</div>';
$clean[373] = '<div style="text-align:center;">Etape n°4/8 : Migration des documents terminée. [3/3]</div>';
$clean[38] = '<div style="text-align:center;">Etape n°5/8 : Migration des archives terminée. %s</div>';
$clean[39] = '<div style="text-align:center;">Etape n°6/8 : Migration des stats et logs terminée.</div>';
$clean[40] = '
<div class="bord notice" style="text-align:center;width:420px;margin:auto;padding:20px;font-size:2em;"><strong>Avez-vous sauvegardé votre site ?</strong></div>';
$clean[41] = 'Oui, j\'ai bien sauvegardé le site, on peut y aller';
$clean[42] = 'Oups ! j\'ai oublié, je sauvegarde de suite...';

?>
