<?php
/*******************************************************************************
 *   Stats
 *******************************************************************************
 *   GuppY PHP Script - version 5.0
 *   CeCILL Copyright (C) 2004-2014 by Laurent Duveau
 *   Initiated by Laurent Duveau and Nicolas Alves
 *   Web site = http://www.freeguppy.org/
 *   e-mail   = guppy@freeguppy.org
 *   V5 developed by Lud Bienaimé
 *      with the participation of Jean-Michel Misrachi and the GuppY Team
 *******************************************************************************
 *   Latest Changes :
 * v5.02.09 (June 06, 2019)      : improve access control
 ******************************************************************************/

header('Pragma: no-cache');
define('CHEMIN', '');
include CHEMIN.'inc/includes.inc';

$widepage = $serviz[132];
$tconfig  = $menuico[20] == 'ALL' ? import('tconfig', '', true, 0) : $menuico[20];
$i        = $lng == $lang[0] ? 0 : 1;
$topmess  = strip_tags(getLabel($nom[$i+26]));
if ($page[9] != '') {
    $topmess = '<img src="inc/img/icons/'.$page[9].'/stats.gif" class="f-right img32x32 valignMiddle" alt="" />'.$topmess;
}
if ($serviz[15] != 'on') {
    include 'inc/hpage.inc';
    if (function_exists('htable1'))
        htable1($topmess, 'STAT'.$tconfig, '100%');
    else
        htable($topmess, '100%');
    echo '
<div class="textCenter web342">'.$web[143];
    $href1 = CHEMIN.($site['URLR'] == 'on' ? $lng.'-'.$urlrw[0] : 'index.php?lng='.$lng);
    echo '
  <p class="textCenter">
    '.SubmitButton($web[135], 'self.location.href=\''.$href1.'\'').'
  </p>';
	echo '
</div>';
    btable();
    include 'inc/bpage.inc';
    exit();
}
$per  = import('per');
$anal = import('anal');

if (empty($per)) {
    $per = 1;
}
$show_stat_admin = FALSE;
include 'inc/statcalc.inc';

include('inc/hpage.inc');
if (function_exists('htable1'))
    htable1($topmess, 'STAT'.$tconfig, '100%');
else
    htable($topmess, '100%');
echo '
<br />';

if ($members[0] == 'on' && !isAccessGranted($members[6])) {
    echo '
<div class="textCenter web342">'.$web[342];
    if ($members[19] != '0' && $members[19] != '3') {
        $href1 = CHEMIN.($site['URLR'] == 'on' ? $lng.'-'.$urlrw[3].'-0-'.$tconfig.$z2 : 'connect.php?lng='.$lng.'&tconfig='.$tconfig.$z2);
        $href2 = CHEMIN.($site['URLR'] == 'on' ? $lng.'-'.$urlrw[15].'-5-new-'.$tconfig.$z2 : $site['USR'].'.php?lng='.$lng.'&uuser=new&tconfig='.$tconfig.$z2);
        echo '
  <p class="textCenter">
    '.SubmitButton($web[630], 'self.location.href=\''.$href1.'\'').
      (empty($userprefs[1]) ? '&nbsp;&nbsp;'.SubmitButton($web[160], 'self.location.href=\''.$href2.'\'') : '').'
  </p>';
    }
	echo '
</div>';
}
else {
    include 'inc/statshow.inc';
}
btable();
include 'inc/bpage.inc';
?>