<?php
/*******************************************************************************
 *   Site Bottom & Right of Page
 *******************************************************************************
 *   GuppY PHP Script - version 5.0
 *   CeCILL Copyright (C) 2004-2014 by Laurent Duveau
 *   Initiated by Laurent Duveau and Nicolas Alves
 *   Web site = https://www.freeguppy.org/
 *   e-mail   = guppy@freeguppy.org
 *   V5 developed by Lud Bienaimé
 *      with the participation of Jean-Michel Misrachi and the GuppY Team
 *******************************************************************************
 *   Latest Changes :
 * v5.02.02 (December 18, 2017)  : correction bottom panel display
 *                               : deleting the GuppYUser5 cookie
 ******************************************************************************/

if (stristr($_SERVER['SCRIPT_NAME'], 'bpage.inc')) {
    header('location:../index.php');
    die();
}

if ($lng == 'fr') {
	$txtspe = '
  &nbsp;
  <a class="copyright" href="https://www.freeguppy.org/" title="freeguppy.org" target="_blank">
	'.($site[35] == 'T' ? 'Propulsé par GuppY' : '<img src="'.$reptheme.'/gypower.png" alt="freeguppy.org" style="vertical-align:middle;" />').'
  </a>
  &nbsp; '.html_entity_decode('© '.MP_COPYRIGHT, ENT_COMPAT, $charset).' &nbsp;
  <a class="copyright" href="http://www.cecill.info/index.fr.html" title="En savoir plus ..." target="_blank">
	'.($site[35] == 'T' ? 'Sous Licence Libre CeCILL' : '<img src="'.$reptheme.'/gycecill_f.png" alt="More info ..." style="vertical-align:middle;" />').'
  </a>
  &nbsp;';
}
else {
	$txtspe = '
  &nbsp;
  <a class="copyright" href="https://www.freeguppy.org/" title="freeguppy.org" target="_blank">
	'.($site[35] == 'T' ? 'Powered by GuppY' : '<img src="'.$reptheme.'/gypower.png" alt="freeguppy.org" style="vertical-align:middle;" />').'
  </a>
  &nbsp; '.html_entity_decode('© '.MP_COPYRIGHT, ENT_COMPAT, $charset).' &nbsp;
  <a class="copyright" href="http://www.cecill.info/index.en.html" title="More info ..." target="_blank">
	'.($site[35] == 'T' ? 'Under Free License CeCILL' : '<img src="'.$reptheme.'/gycecill_e.png" alt="More info ..." style="vertical-align:middle;" />').'
  </a>
  &nbsp;';
}

echo '
    <!-- Begin of ADMIN BOTTOM_BOXES -->
    <div style="margin-bottom:20px;">';
if (!empty($admcookie)) echo '
	  <div style="text-align:center; font-size: 14px;">
	    <a href="#top">
		  <img src="'.$reptheme.'/up.png" alt="^" style="" />
		  <b> '.$admin[1583].' </b>
		  <img src="'.$reptheme.'/up.png" alt="^" style="" />
	    </a>
	  </div>
      <table class="bord" style="width:99%; margin: 0 auto 16px; border-radius: 6px; font-size: 14px;">
        <tr>
          <td class="col0" style="width:88%;text-align:center;">'.ExecFunctionBox(BOX_BOTTOM, '||fbox_ariane||W80').'</td>
          <td class="col3" style="width:12%;text-align:center;">
            <strong><a href="admin.php?lng='.$lng.'&amp;logout=1">'.$admin[19].'</a></strong>
          </td>
        </tr>
      </table>';
echo '
      <div style="text-align:center;">'.$txtspe.'</div>
    </div>
    <!-- End of ADMIN BOTTOM_BOXES -->
  </div>
	';

echo '
</div>
<!-- end page -->

</body>
</html>';
?>
