<?php
/*******************************************************************************
 *   Site Index Top of Page
 *******************************************************************************
 *   GuppY PHP Script - version 5.0
 *   CeCILL Copyright (C) 2004-2013 by Laurent Duveau
 *   Initiated by Laurent Duveau and Nicolas Alves
 *   Web site = https://www.freeguppy.org/
 *   e-mail   = guppy@freeguppy.org
 *   V5 developed by Lud Bienaimé
 *      with the participation of Jean-Michel Misrachi and the GuppY Team
 *******************************************************************************
 *   Latest Changes :
 * v5.03.00 (December 03, 2019) : adaptation v5.03.00
 ******************************************************************************/

if (stristr($_SERVER['SCRIPT_NAME'], 'hpage.inc')) {
    header('location:../index.php');
    die();
}

$toppage = stripslashes($site[($lang[0] == $lng ? 0 : 11)]);
if (($page[22]) && (!empty($topmess))) {
    $toppage .= ' - '.strip_tags($topmess);
}
if ($serviz[32] == 'on' && $serviz[42] == 'on' && FileDBExist(CHEMIN.'admin/redac/'.$userprefs[1].INCEXT)) {
    include CHEMIN.'admin/redac/'.$userprefs[1].INCEXT;
}
echo '<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml" lang="'.$lng.'">';

	///////////////////////////////////////////////////////////////////////////////////
	//                                                                               //
	//                GuppY is protected by the CeCILL FREE LICENSE.                 //
	//  REMOVING OR MODIFYING THE FOLLOWING COPYRIGHT NOTICE IS STRICTLY FORBIDDEN.  //
	//                                                                               //
	///////////////////////////////////////////////////////////////////////////////////

echo '

  <!--[  GuppY v'.MP_VERSION.' CeCILL Copyright (C) '.MP_COPYRIGHT.' by Laurent Duveau - https://www.freeguppy.org/  ]-->

<head>
<meta http-equiv="content-type" content="text/html; charset='.$charset.'" />
<meta name="application-name" content="'.$toppage.'" />

<title>'.$toppage.'</title>

<meta name="description" content="'.$site[1].'" />
<meta name="generator" content="GuppY CMS" />
<meta name="author" content="'.$site[9].'" />
<meta name="keywords" content="'.$site[2].'" />
<meta name="viewport" content="width=device-width, initial-scale=1, maximum-scale=1">
<meta name="apple-mobile-web-app-capable" content="yes">
<meta name="apple-mobile-web-app-status-bar-style" content="black">';
echo '
<link rel="shortcut icon" href="'.$site[3].'favicon.ico">';

echo '
<link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/5.11.2/css/all.min.css" 
  integrity="sha256-+N4/V/SbAFiW1MPBCXnfnP9QSN3+Keu+NlB+0ev/YKQ=" crossorigin="anonymous" />
<link href="https://stackpath.bootstrapcdn.com/bootstrap/4.4.1/css/bootstrap.min.css" rel="stylesheet" 
  integrity="sha384-Vkoo8x4CGsO3+Hhxv8T/Q5PaXtkKtu6ug5TOeNV6gBiFeWPGFN9MuhOf23Q9Ifjh" crossorigin="anonymous">
<link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/highlight.js/9.15.10/styles/default.min.css" 
  integrity="sha256-zcunqSn1llgADaIPFyzrQ8USIjX2VpuxHzUwYisOwo8=" crossorigin="anonymous" />
<link type="text/css" rel="stylesheet" href="'.CHEMIN.'admin/admstyle.css">
<link type="text/css" rel="stylesheet" href="'.CHEMIN.'admin/admbs4style.css">
';

echo BeginJavascript().'
var charset = "'.$charset.'";
var site0 = "'.htmlspecialchars($site[($lang[0] == $lng ? 0 : 11)]).'";
var site3 = "'.$site[3].'";
'.EndJavascript();

// ordre de chargement : jquery, popper, bootstrap
echo 
  JavascriptFile(CHEMIN.'inc/hpage.js').'
<script src="https://cdnjs.cloudflare.com/ajax/libs/jquery/3.4.1/jquery.min.js" 
  integrity="sha256-CSXorXvZcTkaix6Yvo6HppcZGetbYMGWSFlBw8HfCJo=" crossorigin="anonymous">
</script>
<script src="https://stackpath.bootstrapcdn.com/bootstrap/4.4.1/js/bootstrap.bundle.min.js" 
  integrity="sha384-6khuMg9gaYr5AxOqhkVIODVIvm9ynTT5J4V1cfthmT+emCG6yVmEZsRHdxlotUnm" crossorigin="anonymous">
</script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/jquery-migrate/3.1.0/jquery-migrate.min.js" 
  integrity="sha256-91c9XEM8yFH2Mn9fn8yQaNRvJsEruL7Hctr6JiIY7Uw=" crossorigin="anonymous">
</script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/jquery-easing/1.4.1/jquery.easing.js" 
  integrity="sha256-tw5/wId1F+4LyUF2ZJnpRoHNXJ66jrK3IGhfq4LhLjY=" crossorigin="anonymous">
</script>
</script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/highlight.js/9.15.10/highlight.min.js" 
  integrity="sha256-1zu+3BnLYV9LdiY85uXMzii3bdrkelyp37e0ZyTAQh0=" crossorigin="anonymous">
</script>
<script src="https://unpkg.com/bootstrap-show-password@1.2.1/dist/bootstrap-show-password.min.js"></script>
';

if (empty($_COOKIE[SCREEN_COOKIE])) {
    echo '
<script type="text/javascript">
<![CDATA[
<!--
var wNav  = 0;
if (window.innerWidth) var wNav = window.innerWidth;
 else if (document.body && document.body.offsetWidth) var wNav = document.body.offsetWidth;
var w = window.innerWidth || document.documentElement.clientWidth || document.body.clientWidth;
var h = window.innerHeight || document.documentElement.clientHeight || document.body.clientHeight;
var sValue = "w" + screen.width + "h" + screen.height + "aw" + screen.availWidth + "ah" + screen.availHeight + "cw" + w + "ch" + h + "n" + wNav;
var today = new Date(), expires = new Date();
expires.setTime(today.getTime() + 31536000000);
document.cookie = "'.SCREEN_COOKIE.'" + "=" + encodeURIComponent(sValue) + ";expires=" + expires.toGMTString();
-->
]]>
</script>
';
}
$scrWidth = $scrHeight = $scrAWidth = $scrAHeight = $cbWidth = $cbHeight = $navWidth = 0;
$scrValues = $_COOKIE[SCREEN_COOKIE];
if (!empty($scrValues)) {
    $next       = strpos($scrValues, 'h');
    $scrWidth   = substr($scrValues, 1, $next - 1);
    $scrValues  = substr($scrValues, $next);
    $next       = strpos($scrValues, 'aw');
    $scrHeight  = substr($scrValues, 1, $next - 1);
    $scrValues  = substr($scrValues, $next);
    $next       = strpos($scrValues, 'ah');
    $scrAWidth  = substr($scrValues, 2, $next - 2);
    $scrValues  = substr($scrValues, $next);
    $next       = strpos($scrValues, 'cw');
    $scrAHeight = substr($scrValues, 2, $next - 2);
    $scrValues  = substr($scrValues, $next);
    $next       = strpos($scrValues, 'ch');
    $cbWidth    = substr($scrValues, 2, $next - 2);
    $scrValues  = substr($scrValues, $next);
    $next       = strpos($scrValues, 'n');
    $cbHeight   = substr($scrValues, 2, $next - 2);
    $scrValues  = substr($scrValues, $next);
    $navWidth   = substr($scrValues, 1);
}

$loader = '';
$unloader = '';

echo $headinc;

echo '
</head>
<body'.
    (!empty($loader)  ? ' onload="'.$loader.'"' : '').
    (!empty($unloader) ? ' onunload="'.$unloader.'"' : '').'>';
echo '
<div id="page">';
echo '
  <div id="header">
';

if ($serviz[44] == "on") {
    // Site en travaux
    echo '
    <div id="work" class="notice" style="padding:10px; border:3px solid red; text-align:center; font-weight:bold; font-size:larger;">
      ATTENTION : site en travaux - CAUTION: work in progress
    </div>
';
}
echo '
  </div>
  <a id="top"></a>
';

$bccount = 0;
$wposbox = array();
foreach ($templates as $keyconf=>$valueconf) {
	foreach (array(BOX_LSIDE, BOX_LEFT, BOX_CENTER, BOX_RIGHT, BOX_RSIDE) as $key) {
		foreach ($xposbox[$keyconf][BOX_TOP][$key] as $i=>$value) {
			$args  = '';
			if (!empty($value)) {
				$pos   = strrpos($value, 'W');
				$args  = $pos === false ? '' : substr($value, $pos + 1);
				$value = $pos === false ? $value : substr($value, 0, $pos);
				$value = substr($value, -1) == '|' ? substr($value, 0, -2) : $value;			
			}
			$xposbox[$keyconf][BOX_TOP][$key][$i] = $value;
			$wposbox[$keyconf][BOX_TOP][$key][$i] = $args;
		}
		foreach ($xposbox[$keyconf][BOX_BOTTOM][$key] as $i=>$value) {
			$args  = '';
			if (!empty($value)) {
				$pos   = strrpos($value, 'W');
				$args  = $pos === false ? '' : substr($value, $pos + 1);
				$value = $pos === false ? $value : substr($value, 0, $pos);
				$value = substr($value, -1) == '|' ? substr($value, 0, -2) : $value;
			}
			$xposbox[$keyconf][BOX_BOTTOM][$key][$i] = $value;
			$wposbox[$keyconf][BOX_BOTTOM][$key][$i] = $args;
		}
	}
}
foreach (array(BOX_LEFT, BOX_CENTER, BOX_RIGHT) as $key) {
	foreach ($xposbox[BOX_EDITO][$key] as $i=>$value) {
		$args  = '';
		if (!empty($value)) {
			$pos   = strrpos($value, 'W');
			$args  = $pos === false ? '' : substr($value, $pos + 1);
			$value = $pos === false ? $value : substr($value, 0, $pos);
			$value = substr($value, -1) == '|' ? substr($value, 0, -2) : $value;
		}
		$xposbox[BOX_EDITO][$key][$i] = $value;
		$wposbox[BOX_EDITO][$key][$i] = $args;
	}
}

// php or html scripts located in directory admin/incadmin are automatically include at the top of the page
if (is_dir('incadmin')) { 
	$hd = opendir('incadmin');
	while ($file = readdir($hd)) { 
        if (1 == preg_match('!^[^_].*(\.inc|\.inc\.php)$!', $file)) {
			include 'incadmin/'.$file;
		}
	}
}

$tconfig = !isset($templates[$tconfig]) ? 0 : $tconfig;

$flags = '';
if ($lang[1] != '') {
    $flagurl = str_replace('&', '&amp;', $endurl);
    if ($lng == $lang[0]) $flagurl = str_replace('lng='.$lang[0], 'lng='.$lang[1], $flagurl); 
    if ($lng == $lang[1]) $flagurl = str_replace('lng='.$lang[1], 'lng='.$lang[0], $flagurl); 
    $flags = '
  <div style="width:32px;float:left;">
    <a href="'.$flagurl.'">';
    if ($lng == $lang[0]) {
        $flags .= '
	  <img src="'.$flag2.'" style="border:0;vertical-align:middle;" alt="'.$admin[947].': '.$lang[1].'" />';
    } else {
        $flags .= '
	  <img src="'.$flag1.'" style="border:0;vertical-align:middle;" alt="'.$admin[947].': '.$lang[0].'" />';
    }
    $flags .= '
	</a>
  </div>';
}
$userstatus = isset($drtuser[42]) ? $drtuser[42] : 'admin';
$atitle = $flags.$site[($lang[0] == $lng ? 0 : 11)].' <img src="'.CHEMIN.'admin/inc/img/general/tdroite.png" alt="=>" /> '.$userprefs[1].' ['.$userstatus.' : '.($grpcol != '' ? $grpcol : 'ALL').']';
echo '
  <div id="AdminBoxes">
    <!-- Begin of ADMIN TOPBOXES -->
	<div class="titre" style="margin:0 0 3px;text-align:center;border-radius:6px 6px 0 0;">'.$atitle.'</div>
    ';
?>