<?php
/*******************************************************************************
 *   Admin Droits
 *******************************************************************************
 *   GuppY PHP Script - version 5.0
 *   CeCILL Copyright (C) 2004-2014 by Laurent Duveau
 *   Initiated by Laurent Duveau and Nicolas Alves
 *   Web site = http://www.freeguppy.org/
 *   e-mail   = guppy@freeguppy.org
 *   V5 developed by Lud Bienaimé
 *      with the participation of Jean-Michel Misrachi and the GuppY Team
 *******************************************************************************
 *   Latest Changes :
 * v5.02.04 (March 29, 2018)     : improved suppression of collaborators
 ******************************************************************************/

if (stristr($_SERVER['SCRIPT_NAME'], 'gestredac.inc')) {
    header('location:../index.php');
    die();
}

if (is_file(REDACREP.$userprefs[1].INCEXT)) {
    include REDACREP.$userprefs[1].INCEXT;
    if ($drtuser[12] == '') {
        $nomzone = $admin[821];
        include 'access.inc';
        exit();
    }
}

$del    = import('del');
$act    = import('act');
$regit  = import('regit');
$group  = import('group');
$member = import('member');

include_once CHEMIN.'inc/func_groupscol.php';

if (empty($act)) {
    $topmess = '<a href="admin.php?lng='.$lng.'">Admin</a> > <a href="admin.php?lng='.$lng.'&amp;pg=attribdroits">'.str_replace('Admin - ', '', $admin[820]).'</a> > '.str_replace('Admin - ', '', $admin[819]);
    include CHEMIN.'admin/hpage.inc';
    if ($wri == 'admin') include CHEMIN.'admin/administrateur.php';
    if ($wri == $userprefs[1]) include CHEMIN.'admin/adminredac.php';
    htable($admin[819], '100%');

    if (!empty($del)) {
        DestroyDBFile(REDACREP.$del.INCEXT);
        $dbadm = ReadDBFields(ADMINS);
        for ($k = 0; $k < count($dbadm); $k++) {
            if ($dbadm[$k][0] == $del) {
                unset($dbadm);
                DeleteDBFieldById(ADMINS, $id=$k);
                break;
            }
        }
        DestroyMemberCol($del);
    }
    echo '
<div style="margin:auto;text-align:center;">
<p>'.ToHelp($lng, 'gestredac').$admin[702].'</p>
<br /><br />
<table style="width:410px;margin:auto;">
  <tr class="forum2">
    <td><b>'.$admin[827].'</b></td><td><b>'.$admin[1612].'</b></td><td style="text-align:center;"><b>'.$admin[680].'</b></td>
  </tr>';
    $dbdrtredac = array();
    $file_drtredac = opendir(REDACREP);
    while ($nomfichier = readdir($file_drtredac)) {
        if( substr($nomfichier,-3) == 'inc' ) {
            $dbdrtredac[] = str_replace(substr($nomfichier,-4),"",$nomfichier);
        }
    }
    closedir($file_drtredac);
    @usort($dbdrtredac,'AsciiCompare');
    $fonctions = array('' => '???', 'redac1' => $admin[715].'1', 'redac2' => $admin[715].'2', 'modo' => $admin[712], 'webm' => $admin[718], 'admin' => $admin[1261]);
    for ($i = 0; $i < count($dbdrtredac); $i++) {
        if ($dbdrtredac[$i] != $userprefs[1]) {
            include REDACREP.$dbdrtredac[$i].INCEXT;
            echo '
  <tr class="'.($i %2 == 0 ? 'quest' : 'rep').'">
    <td style="width:180px;text-align:left;"><p>'.$dbdrtredac[$i].'</p></td>
	<td style="width:160px;text-align:left;"><p>'.$fonctions[$drtuser[42]].'</p></td>
    <td style="width:50px;text-align:center;">
      <a href="admin.php?lng='.$lng.'&amp;pg=attribdroits&amp;etape=2&amp;namedroits='.$dbdrtredac[$i].'">
        <img src="inc/img/files/edit.gif" alt="'.$admin[144].'" title="'.$admin[144].'" />
      </a>&nbsp;&nbsp;
      <a href="admin.php?lng='.$lng.'&amp;pg=gestredac&amp;del='.$dbdrtredac[$i].'">
        <img src="inc/img/files/sup.gif" alt="'.$admin[186].'" title="'.$admin[186].'" />
      </a>
    </td>
  </tr>';
      }
    }
    echo '
    </table>
    </div>';
    btable();
} 
################################################################################
// gestion des groupes de collaborateurs
elseif ($act == 2) {
    $mess = '';
    if ($regit == 1 && $group != '') { //ajouter groupe
        $group = preg_replace('! !', '_', $group);
        $mess = '<br />'.AddGroupCol($group) ? ucfirst($admin[928]).' '.$group.$admin[929].' !<br />' : ucfirst($admin[928]).' '.$group.$admin[931].' !<br />';
    } elseif ($regit == 2) { // supprimer groupe
        $mess = '<br />'.DelGroupCol($group) ? ucfirst($admin[928]).' '.$group.$admin[930].' !<br />' : ucfirst($admin[928]).' '.$group.' '.mb_strtolower($admin[1604], $charset).$admin[930].' !<br />';
    }
    $grps    = ReadGroupsCol();
	$topmess = '<a href="admin.php?lng='.$lng.'">Admin</a> > '.str_replace('Admin - ', '', $admin[1476]);
    include CHEMIN.'admin/hpage.inc';
    if ($wri == 'admin') include CHEMIN.'admin/administrateur.php';
    if ($wri == $userprefs[1]) include CHEMIN.'admin/adminredac.php';
    htable($admin[1476], '100%');
    echo '
<p style="text-align:center;">'.ToHelp($lng, 'gestredac1').$admin[1477].'</p>
<hr />'.$mess.'
<div style="width:400px; margin:auto;">
  <form name="membgrp" action="admin.php?lng='.$lng.'&amp;pg=gestredac"  method="post">
    <fieldset style="padding-top:12px;">
	  <table class="bord" style="text-align:center;width:300px;margin:auto;">
	    <tr class="forum">
		  <td style="width:66%;text-align:left;"><b>'.ucfirst($admin[928]).'</b></td>
		  <td colspan="2" style="text-align:center;"><b>'.$admin[680].'</b></td>
		</tr>';
    foreach ($grps as $grp=>$mbrs) {
    echo '
		<tr class="rep">
		  <td style="width:33%;text-align:left;">'.$grp.'</td>
		  <td style="text-align:center;">
		    <a href="admin.php?lng='.$lng.'&amp;pg=gestredac&amp;act=3&amp;group='.$grp.'" title="'.$admin[144].' '.$grp.'">
			<img src="inc/img/files/edit.gif" alt="'.$admin[144].'" /></a><br />
		  </td>
		  <td style="text-align:center;">
		    <a href="admin.php?lng='.$lng.'&amp;pg=gestredac&amp;act=2&amp;regit=2&amp;group='.$grp.'" title="'.$admin[186].' '.$grp.'">
			<img src="inc/img/files/sup.gif" alt="'.$admin[186].'" /></a><br />
		  </td>
		</tr>';
    }
    unset($grps);
    echo '
	  </table><br />';
    echo '
      <input type="hidden" name="regit" value="1" />
	  <input type="hidden" name="act" value="2" />
	  <p style="text-align:center">'.$admin[1590].' '.$admin[928].' : <input class="texte" type="text" name="group" value="" style="width:196px;" /></p>
	</fieldset>
	<div class="quest" style="padding:2px 20px;">
      <div style="float:right">'.SubmitButton($admin[38], '', '', $imgdroite).'</div>
      <div style="clear:both"></div>
    </div>
  </form>
</div>';
    btable();
}
################################################################################
// gestion des collaborateurs du groupe
elseif ($act == 3) { 
	$aMembers = (array)import('aMembers', 'POST', FALSE);
    $mess = '';
    if ($regit == 'add' && $group != '' && count($aMembers) > 0) { 
		foreach ($aMembers as $member) {
            if (!empty($member))
                $mess .= AddMemberCol($group, $member) ? ucfirst($admin[928]).' '.$group.' : '.$admin[1478].' '.$member.$admin[929].' !<br />' : ucfirst($admin[1478]).' '.$member.$admin[931].' !<br />';
		}
    } elseif ($regit == 'del' && $group != '' && $member != '') {
        $mess = DelMemberCol($group, $member) ? ucfirst($admin[928]).' '.$group.' : '.$admin[1693].' '.$member.$admin[930].' !<br />' : ucfirst($admin[1478]).' '.$member.' '.mb_strtolower($admin[1604], $charset).$admin[930].' !<br />';
    }
	$mess    = $mess == '' ? '' : '<br />'.$mess;
    $grps    = ReadGroupsCol();
	$lst     = $grps[$group];
	$topmess = '<a href="admin.php?lng='.$lng.'">Admin</a> > <a href="admin.php?lng='.$lng.'&amp;pg=gestredac&amp;act=2">'.$admin[1476].'</a> > '.ucfirst($admin[928]).' '.$group;
    include CHEMIN.'admin/hpage.inc';
    if ($wri == 'admin') include CHEMIN.'admin/administrateur.php';
    if ($wri == $userprefs[1]) include CHEMIN.'admin/adminredac.php';
    htable(ucfirst($admin[928]).' '.$group, '100%');
    echo '
<p style="text-align:center;">'.ToHelp($lng, 'gestredac1').$admin[1479].'</p>
<hr />'.$mess;
    if (FileDBExist(GROUPSCOL)) {
        echo '
<div style="width:400px; margin:auto;">
  <p class="forum" style="text-align:left; padding:5px 20px;">'.$group.'</p>
  <form name="memberscol" action="admin.php?lng='.$lng.'&amp;pg=gestredac"  method="post">
    <fieldset style="padding-top:12px;">
	  <table class="bord" style="text-align:center;margin:auto;width:300px;">
		<tr class="forum">
		  <td style="width:66%;text-align:left;"><b>'.ucfirst($admin[1692]).'</b></td>
		  <td style="text-align:center;"><b>'.$admin[186].'</b></td>
		</tr>';
        foreach ($lst as $mbr) {
			if (!empty($mbr))
				echo '
		<tr class="rep">
		  <td style="width:33%;text-align:left;">'.$mbr.'</td>
		  <td style="text-align:center;">
		    <a href="admin.php?lng='.$lng.'&amp;pg=gestredac&amp;act=3&amp;regit=del&amp;group='.$group.'&amp;member='.$mbr.'" title="'.$admin[186].' '.$mbr.' de '.$group.'">
			<img src="inc/img/files/sup.gif" alt="'.$admin[186].'" /></a><br />
		  </td>
		</tr>
            ';
        }
        unset($grps);
        echo '
	  </table><br />';
        echo '
	  <input type="hidden" name="regit" value="add" />
	  <input type="hidden" name="act" value="3" />
	  <input type="hidden" name="group" value="'.$group.'" />
	  <p style="text-align:center">'.$admin[1590].' '.$admin[1478].' :</p>
	  <p style="text-align:center">';
        $dbuserspref = array();
        $file_users=opendir(REDACREP);
        while ($nomfichier=readdir($file_users)) {
			if ( substr($nomfichier,-3) == "inc") {
				$nomuser = str_replace(substr($nomfichier,-4),"",$nomfichier);
				if (!in_array($nomuser, $lst)) $dbuserspref[] = $nomuser;
			}
        }
        closedir($file_users);
        @usort($dbuserspref,'AsciiCompare');
		$size = min(20, count($dbuserspref) + 2);
        echo '
		<select name="aMembers[]" id="aMembers" size="'.$size.'" multiple="multiple" style="width:160px;">';
        for ($i = 0; $i < count($dbuserspref); $i++) {
			echo '
		  <option value="'.$dbuserspref[$i].'">'.$dbuserspref[$i].'</option>';
        }
        echo '
		</select><br />
	  </p>
	</fieldset>
	<div class="quest" style="padding:2px 20px;">
      <div style="float:right">'.SubmitButton($admin[38], '', '', $imgdroite).'</div>
      <div style="clear:both"></div>
    </div>
  </form>
</div>';
    }
    btable();
}

include CHEMIN.'admin/bpage.inc';
?>