<?php
/*******************************************************************************
 *   .
 *******************************************************************************
 *   GuppY PHP Script - version 5.0
 *   CeCILL Copyright (C) 2004-2014 by Laurent Duveau
 *   Initiated by Laurent Duveau and Nicolas Alves
 *   Web site = http://www.freeguppy.org/
 *   e-mail   = guppy@freeguppy.org
 *   V5 developed by Lud Bienaimé
 *      with the participation of Jean-Michel Misrachi and the GuppY Team
 *******************************************************************************
 *   Latest Changes :
 * v5.02.02 (December 18, 2017)  : deleting the GuppYUser5 cookie
 ******************************************************************************/

if (stristr($_SERVER['SCRIPT_NAME'], 'nwlgroup.inc')) {
    header('location:../index.php');
    die();
}

if (is_file(REDACREP.$userprefs[1].INCEXT)) {
	include REDACREP.$userprefs[1].INCEXT;
	if ($drtuser[33] == '') {
		$nomzone = $admin[546];
		include 'access.inc';
		exit();
	}
}

$act    = import('act');
$group  = import('group');
$abonne = import('abonne');
$regit  = import('regit');
$idpg   = import('idpg', '', true, 1);

function abonne_sort($a, $b) {
	$a = strtolower($a[0]);
	$b = strtolower($b[0]);
	if ($a == $b) {
		return 0;
	} else {
		return $a < $b ? -1 : +1;
	}
}

include_once CHEMIN.'inc/func_groupsnwl.php';

if ($act == 'fast') {
    $dbids = explode(' ', trim(import('ids')));
    $grps  = ReadGroupsNewsletter();
    $lst   = $grps[$group];
    @sort($lst);
    $mess = '';
    foreach ($dbids as $ii) {
        $abonne = $lst[$ii];
        if (isset($_POST['s_'.$ii]) && $_POST['s_'.$ii] == 'on') {
            $mess .= DelAbonne($group, $abonne) ? ucfirst($admin[928]).' '.$group.' : '.$admin[1711].' '.$abonne.$admin[930].' !<br />' : $admin[1711].' '.$abonne.' '.mb_strtolower($admin[1604], $charset).$admin[930].' !<br />';
        }
    }
    $act = 6;
}

// gestion groupes
if ($act == 5) { 
	$mess = '';
	if ($regit == 5 && $group != '') { //ajouter groupe
		$group = preg_replace('! !', '_', $group);
		$mess  = AddGroupNEWSLETTER($group) ? ucfirst($admin[928]).' '.$group.$admin[929].' !<br />' : ucfirst($admin[928]).' '.$group.$admin[931].' !<br />';
	} 
	elseif ($regit == 6) { // supprimer groupe
		$mess = DelGroupNEWSLETTER($group) ? ucfirst($admin[928]).' '.$group.$admin[930].' !<br />' : ucfirst($admin[928]).' '.$group.' '.mb_strtolower($admin[1604], $charset).$admin[930].' !<br />';
	}
	$grps = ReadGroupsNewsletter();

	$topmess  = '<a href="admin.php?lng='.$lng.'">Admin</a> > '.str_replace('Admin - ', '', $admin[1209]);
	include CHEMIN.'admin/hpage.inc';
	if ($wri == 'admin') include CHEMIN.'admin/administrateur.php';
	if ($wri == $userprefs[1]) include CHEMIN.'admin/adminredac.php';
	htable($admin[1209], '100%');
	echo '			
	<p style="text-align:center;">'.ToHelp($lng, 'nwlgroup').$admin[1146].'</p>
	<hr />
	';
		
	echo '
<p style="text-align:center;">'.$admin[1144].'</p>
<hr />'.$mess.'
<div style="width:420px; margin:auto;">
  <form name="abonnegrp" action="admin.php?lng='.$lng.'&amp;pg=nwlgroup" method="post">
    <fieldset style="padding:12px;">
    <table class="bord" style="width:340px;margin:auto;">
	  <tr class="forum">
	    <td colspan="2" style="width:68%;text-align:center;"><b>'.ucfirst($admin[928]).'</b></td>
	    <td colspan="2" style="text-align:center;"><b>'.$admin[680].'</b></td>
	  </tr>
';

	foreach ($grps as $grp=>$abonnes) {
		echo '
	  <tr class="rep">
		<td style="width:51%;text-align:left;">'.$grp.'</td>
		<td style="width:17%;text-align:center;">'.count($abonnes).'</td>
		<td style="text-align:center;">
          <a href="admin.php?lng='.$lng.'&amp;pg=nwlgroup&amp;act=6&amp;group='.$grp.'" title="'.$admin[144].' '.$grp.'">
            <img src="inc/img/files/edit.gif" alt="'.$admin[144].'" />
          </a><br />
        </td>
		<td style="text-align:center;">
          <a href="admin.php?lng='.$lng.'&amp;pg=nwlgroup&amp;act=5&amp;regit=6&amp;group='.$grp.'" title="'.$admin[186].' '.$grp.'">
            <img src="inc/img/files/sup.gif" alt="'.$admin[186].'" />
          </a><br />
        </td>
	  </tr>';
	}
	unset($grps);
	echo '
	</table>
	<br />
    <input type="hidden" name="regit" value="5" />
    <input type="hidden" name="act" value="5" />
    <p style="text-align:center">'.$admin[1590].' '.$admin[928].' :
      <input class="texte" type="text" name="group" value="" style="width:196px;" />
	</p>
  </fieldset>
  <div class="quest" style="padding:2px 20px;">
    <div style="float:right">'.SubmitButton($admin[38], '', '', $imgdroite).'</div>
    <div style="clear:both"></div>
  </div>
</form>
</div>
';
}
//ajout et suppression des abonnés 
elseif ($act == 6) { 
	$aAbonnes = (array)import('aAbonnes', 'POST', FALSE);
    if ($regit == 'add' && $group != '' && count($aAbonnes) != 0) { 
        $mess = '';
		for ($ijk = 0; $ijk < count($aAbonnes); $ijk++) {
			$abonne = $aAbonnes[$ijk];
            if (!empty($abonne))
                $mess  .= AddAbonne($group, $abonne) ? ucfirst($admin[928]).' '.$group.' : '.$admin[1711].' '.$abonne.$admin[929].' !<br />' : $admin[1711].' '.$abonne.$admin[931].' !<br />';
		}
	}
	$topmess  = '<a href="admin.php?lng='.$lng.'">Admin</a> > <a href="admin.php?lng='.$lng.'&amp;pg=nwlgroup&amp;act=5">'.$admin[925].'</a> > '.str_replace('Admin - ', '', $admin[1209].' : '.$group);
	include CHEMIN.'admin/hpage.inc';
	if ($wri == 'admin') include CHEMIN.'admin/administrateur.php';
	if ($wri == $userprefs[1]) include CHEMIN.'admin/adminredac.php';
    htable($admin[1209].' : '.$group, '100%');
    echo '
<p style="text-align:center;">'.ToHelp($lng, 'nwlgroup').$admin[1145].'</p>
<hr />'.$mess;
    if (FileDBExist(GROUPSNWL)) {
        $grps      = ReadGroupsNewsletter();
        $lst       = $grps[$group];
        $lstabon   = array();
        $dbabonnes = ReadDBFields(NEWSLET_LIST);
        $abonnes   = array();
        $maxlen    = 0;
        foreach ($dbabonnes as $abonne) {
			if (!in_array($abonne[0], $lst)) {
                $maxlen = max($maxlen, strlen($abonne[0].$abonne[1]));
                $abonnes[] = array($abonne[0], $abonne[1]);
            } else {
                $lstabon[] = array($abonne[0], $abonne[1]);
            }
        }
        @usort($abonnes, 'abonne_sort');
        @sort($lstabon);
        $count = count($lstabon);
		echo '
<div style="width:580px; margin:auto;">
  <p class="forum" style="text-align:left; padding:5px 20px;">'.$group.' ('.$count.')</p>
  <fieldset style="padding-top:12px;">
  <form name="fast_actions" action="admin.php?lng='.$lng.'&amp;idpg='.$idpg.'&amp;pg=nwlgroup&amp;group='.$group.'&amp;act=fast" method="post">
    <div style="text-align:right; padding-right:30px; margin-bottom:4px;">'.SubmitButton($admin[1602]).'
      <img src="'.$reptheme.'/bas.png" alt="" title="" />
    </div>
    <table class="bord" style="width:94%;margin:auto;">
      <tr class="forum">
        <td colspan="2" style="text-align:center;"><b>'.$admin[1712].'</b></td>
        <td style="width:76px;text-align:center;"><b>'.$admin[680].'</b></td>
      </tr>';
        $nbpg = 15;
        if (!isset($idpg)) {
            $idpg = 1;
        } else {
            while ($count <= ($idpg - 1)* $nbpg) $idpg--;
        }
        $navbar = GetNavBar('admin.php?lng='.$lng.'&amp;pg=nwlgroup&amp;act=6&amp;group='.$group.'&amp;idpg=', $count, $idpg, $nbpg);
        $ids    = '';
        for ($i = ($idpg - 1)*$nbpg; $i < Min($nbpg*$idpg, $count); $i++) {
			if (!empty($lstabon[$i][0])) {
				echo '
      <tr class="rep">
	    <td style="text-align:left;">'.$lstabon[$i][0].'</td>
	    <td style="text-align:left;">'.$lstabon[$i][1].'</td>
	    <td style="text-align:center;">';
                MakeRadioGroup(array( array("d", "s", $i)));
                echo '
        </td>
      </tr>';
            }
            $ids .= $i." ";
        }
        unset($grps);
        echo '
    </table><br />
    <input type="hidden" name="ids" value="'.$ids.'" />
  </form>
  <div style="text-align:center">'.$navbar.'</div><br />';
        echo '
  <form name="frmabonnes" action="admin.php?lng='.$lng.'&amp;pg=nwlgroup" method="post">
    <input type="hidden" name="regit" value="add" />
    <input type="hidden" name="act" value="6" />
    <input type="hidden" name="group" value="'.$group.'" />
    <p style="text-align:center">'.$admin[1713].' '.mb_strtolower($admin[1711], $charset).' :</p>
    <p style="text-align:center">';
        
		$size = min(20, count($abonnes) + 2);
        echo '
	  <select name="aAbonnes[]" multiple="multiple" size="'.$size.'" style="width:84%;font-size:13px;">';
        foreach ($abonnes as $abonne) {
            $len = $maxlen + 10 - strlen($abonne[0].$abonne[1]);
            echo '
	    <option value="'.$abonne[0].'">'.$abonne[0].str_repeat('.', $len).$abonne[1].'</option>';
		}
        echo '
      </select>
    </p>
	<div class="quest" style="padding:2px 20px;">
      <div style="float:right">'.SubmitButton($admin[38], '', '', $imgdroite).'</div>
      <div style="clear:both"></div>
    </div>
  </form>
  </fieldset>
</div>';
    } 

	echo '
<hr />
<p style="text-align:center;">
  <a href="'.CHEMIN.'admin/admin.php?lng='.$lng.'&amp;pg=nwlgroup&amp;act=5">'.$admin[857].' '.$admin[925].'</a><br />
</p>
	';
}
btable();
include CHEMIN.'admin/bpage.inc';
?>