<?php
$type = 'ar';
$fileid = '407';
$status = 'a';
$creadate = '201704261729-';
$moddate = '201704261729';
$author = stripslashes('GuppY_Team');
$email = stripslashes('webmaster@guppy.cms');
$fielda1 = stripslashes('<!--01-->GuppY');
$fielda2 = stripslashes('<!--01-->GuppY');
$fieldb1 = stripslashes('<!--04-->Mise à jour');
$fieldb2 = stripslashes('<!--04-->Update');
$fieldc1 = stripslashes('<h2>Mise à jour</h2>

<p>Vous avez un GuppY qui fonctionne et vous devez le mettre à jour. Avant tout, vous devez comprendre comment les versions de GuppY sont identifiées.</p>

<p>La version de GuppY est maintenant identifiée par cinq chiffres, par exemple 5.01.07 . Les trois premiers indiquent la version principale de GuppY. Les deux derniers servent à identifier le niveau de correctif (ou patch) de la version principale.</p>

<p>Dans 5.01.07, la version principale est 5.01 et cette version comporte les 07 correctifs de la version principale.</p>

<p>Deux cas se présentent à vous lors de la mise à jour, soit votre GuppY est dans la même version principale, soit il est à une des versions principales antérieures.</p>

<p>Dans le premier cas, il faut patcher GuppY, dans le second cas, il faut migrer vers la nouvelle version principale.<br />
&nbsp;</p>

<p></p>

<p><strong>Mettre à jour depuis la même version principale: patcher</strong><br />
&nbsp;</p>

<p>Vous êtes dans le cas où votre GuppY est déjà en 5.01.xx et vous souhaitez le mettre à jour .</p>

<p>FreeGuppY vous propose au téléchargement des patchs pour le faire.</p>

<p>Deux cas se présentent à vous, soit votre GuppY est dans la version précédente (par exemple 5.01.06 pour passer en 5.01.07), soit il est dans une version plus ancienne (5.01.01 par exemple).</p>

<p>Dans le premier cas, vous utiliserez le patch non cumulatif 5.01.07 qui permet de passer de la version 5.01.06 à la version 5.01.07 .</p>

<p>Dans le second cas, vous utiliserez le patch cumulatif 5.01.07, qui contient tous les correctifs de la version 5.0.1 jusqu\'à la version 5.01.07 . Il permet de passer de n\'importe quelle version 5.00.xx à la dernière version.<br />
&nbsp;</p>

<p><strong>Installation avec Installer</strong></p>

<p>Une fois la bonne archive zip du patch téléchargée, rendez vous en Admin, puis Administration Générale et Installer .</p>

<p>Un clic sur \"Parcourir\" pour sélectionner l\'archive zip, un clic pour charger le fichier et un clic pour l\'installer.</p>

<p>Voilà votre site est patché dans la dernière version de GuppY.</p>

<p><strong>Attention:</strong> si votre hébergeur bride la fonction upload_max_filesize à 2M par exemple, vous risquez de ne pouvoir utiliser la fonction \"Installer\" pour toutes les archives zip dépassant 2Mo.</p>

<p>Il vous faudra demander à votre hébergeur d\'augmenter à 10M par exemple. Chez Free, qui, à ce jour, bloque à 2M, votre demande sera sans doute sans réponse.<br />
<br />
&nbsp;&nbsp; &nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbsp;</p>

<p><strong><span style=\"font-size:13px;\">Mettre à jour depuis une version principale antérieure : migrer</span></strong></p>

<p><br />
<strong>Important : </strong>Le script de migration est destiné aux sites web fonctionnant avec une version 4.6.x de GuppY.</p>

<p>L\'évolution de la version 5 est si importante qu\'il n\'a pas été possible de proposer une migration à partir des versions antérieures .</p>

<p><strong>Si votre site est sous une version antérieure de GuppY, vous devez OBLIGATOIREMENT MIGRER vers la 4.6.28 avant de migrer vers la 5.03.XX </strong></p>

<p></p>
');
$fieldc2 = stripslashes('<h2>Upgrade</h2>

<p>You now have a running GuppY but you feel like upgrading it. What you must understand in the first place is how the different versions of GuppY have been named.</p>

<p>A Guppy version is identified by five numbers, e.g. 5.01.07. The first three digits indicate the main version of Guppy whereas the third one is the corrective patch number of the main version.</p>

<p>In 5.01.07, main version is 5.01 and this version holds 07 corrections of the main version.</p>

<p>When upgrading, you will have to make a choice: either your Guppy is already running on the last version available, or it is a previous version. In the former case, you have to add a patch to your running GuppY, and in the latter, you\'ll have to migrate from the old version of GuppY to the latest one.<br />
&nbsp;</p>

<p></p>

<p></p>

<p><strong>Upgrade from the same main version (applying the latest patch)</strong></p>

<p>Your GuppY is already in the 5.01.xx version (x &lt; 07) and you want to upgrade. To achieve this, you can download patches on Freeguppy. (https://www.freeguppy.org/). And again there are two cases: either your Guppy is in the previous version (for instance 5.01.06 to be upgraded to 5.01.07), or it is in an older version (5.01.01 with x range from 00 to 11included).</p>

<ul>
	<li>In the 1st case, you will use the <strong>non cumulative patch</strong> 5.01.07, which allows <strong>upgrading from version 5.01.06 to version 5.01.07</strong></li>
	<li style=\"line-height:1.5em;\">In the second case, you will use the <strong>cumulative patch</strong> 5.01.07 which includes all corrections from version 5.0.1 up tu version 5.01.07. It allows upgrading <strong>from any intermediate version</strong> to 5.00.xx version.<br />
	&nbsp;</li>
</ul>

<p><strong>Installation with Installer</strong></p>

<p>Once relevant zip archive of the patch has been downloaded, go to Admin, then general Management and Install.</p>

<p>Click&nbsp; \"Browse\" to choose zip archive, another click to lozd the file and a last one to install.</p>

<p>And you\'re done; tour site has been patched in the latest version of GuppY.</p>

<p><strong><span style=\"text-decoration:underline;\">Attention</span>:</strong> if your hoster restrains upload_max_filesize function to 2M for instance, you might not being able to use function \"Install\"&nbsp; zip archivesexceeding 2Mo.</p>

<p>You will then have to ask your hoster to increase it up to 10M for instance. With Free, which still restrains at 2M, your request will probably be ignored.<br />
&nbsp;</p>

<p><strong>Upgrade from a previous main version (migration)</strong></p>

<p><br />
<strong>Important : </strong>the migration script is intended for websites running with version 4.6.x of GuppY.</p>

<p>The evolution of version 5 is so substantial that it was not possible to provide a migration from older versions .</p>

<p><strong>If your website runs on an older version of GuppY, you will have to first migrate to 4.6.28 before doing it to 5.03.XX</strong><strong>.</strong></p>

<p></p>
');
$fieldd1 = stripslashes('MNU 363');
$fieldd2 = stripslashes('');
$fieldweb = stripslashes('S');
$fieldmail = stripslashes('0|0');
$fieldmod = stripslashes('');
?>
