<?php
$type = 'ar';
$fileid = '409';
$status = 'a';
$creadate = '201905201626-';
$moddate = '201905201626';
$author = stripslashes('GuppY');
$email = stripslashes('webmaster@guppy.cms');
$fielda1 = stripslashes('<!--01-->GuppY');
$fielda2 = stripslashes('<!--01-->GuppY');
$fieldb1 = stripslashes('<!--05-->Migration en v5.03.XX');
$fieldb2 = stripslashes('<!--05-->Migration  v5.03.XX');
$fieldc1 = stripslashes('<h1 style=\"text-align: center;\">Migrer en version 5.03.xx depuis une version 4.6.xx<br />
&nbsp;</h1>

<h2>Pré-requis:</h2>

<ul>
	<li>Pour les versions antérieures à la 4.6,<strong> il est obligatoire de migrer en 4.6.28 avant de pouvoir migrer en 5.03.XX</strong><br />
	&nbsp;</li>
	<li>Avoir téléchargé <strong>le pack complet</strong> GuppY 5.03.XX (toujours le dernier pack complet en téléchargement).<br />
	&nbsp;</li>
	<li><strong>Pour migrer d\'une version 4.6.x &lt; 4.6.28 il faut par sécurité passer les data à la moulinette disponible en Téléchargement &gt; Divers sur freeguppy.org.</strong><br />
	&nbsp;</li>
	<li><strong>La version minimale de PHP qui permet d\'utiliser la version 5 de GuppY est la version 5.6</strong> <strong>.</strong></li>
</ul>

<p></p>

<h2>Procédure:</h2>

<ol>
	<li>Faire un ou plusieurs contrôle d\'intégrité du site pour être certain de n\'avoir aucune erreur.<br />
	&nbsp;</li>
	<li>Faire une sauvegarde complète de votre site en 4.6 à migrer en local sur votre disque dur.<br />
	&nbsp;</li>
	<li>Faire une copie de cette sauvegarde dans un nouveau répertoire de votre disque dur.<br />
	&nbsp;</li>
	<li>Se connecter en admin/config services, puis Anti-Spam, vider les champs des scripts renommés et enregistrer. GuppY va remettre automatiquement le noms d\'origine.<br />
	&nbsp;</li>
	<li>Supprimer le contenu du répertoire plugins de la 4.6, les plugins ne sont pas compatibles avec la 5.0X.XX <strong>mais surtout, ne pas toucher au répertoire data/plugins</strong><br />
	&nbsp;</li>
	<li>Glisser / déposer le contenu du pack GuppY 5.03.XX à la racine du site 4.6.x à migrer <strong>à l\'exception du fichier .htaccess</strong>.<br />
	&nbsp;</li>
	<li>Se connecter sur le site pour l\'afficher.<br />
	&nbsp;</li>
	<li>A l\'affichage, aller directement en Admin puis Configurations et Config générale pour configurer le site, notamment l\'url, GuppY vous la propose, en cliquant sur la flèche elle est ajoutée, puis vous ajoutez les CHMOD par défaut de votre hébergeur,&nbsp; enfin vous ajoutez le pseudo et le courriel du webmestre. Ne pas oublier un clic sur Enregistrer.<br />
	<strong>Attention !</strong> Certains hébergements mettent les données en cache, dans ce cas cochez Hébergement avec mise en cache et laissez la temporisation à 3.<br />
	&nbsp;</li>
	<li>Lancer l\'installation en cliquant sur le bouton jaune \"Install\" en haut et à gauche de la page Admin.<br />
	&nbsp;</li>
	<li>Choisir la migration et cliquer sur \"Allons-y !\".<br />
	&nbsp;</li>
	<li>Pas d\'ambiguité sur cette nouvelle page, répondre à la question en cliquant le bouton correspondant à la réponse.<br />
	&nbsp;</li>
	<li>Dans les 2 étapes suivantes cliquer sur les boutons \"Allons-y !\".<br />
	Noter que vous pouvez cliquer sur \"Non\" lors de ces deux étapes, ce qui vous renverra l\'étape 09.<br />
	&nbsp;</li>
	<li>Suivre les indications et laisser la migration se dérouler automatiquement .<br />
	Attention: suivant l\'importance des données, la procédure peut être longue !!!&nbsp;<br />
	A la fin, les dossiers et fichiers inutiles seront effacés .<br />
	&nbsp;</li>
	<li>GuppY vous informe que la migration est terminée, accepter la proposition de supprimer le répertoire \"Install\" pour ne pas l\'oublier ensuite, cliquer sur Suivant puis deux fois sur \"Allons-y !\" .<br />
	A la fin, vous verrez la page d\'accueil de votre site, la skin en place est la no_skin.<br />
	&nbsp;</li>
	<li>Se connecter en admin,&nbsp; vérifier la configuration du site en config générale, ajouter l\'administrateur principal et l\'administrateur secondaire en config services.<br />
	&nbsp;</li>
	<li>Aller en Admin/Généralités puis Protection admin, ajouter le pseudo de l\'administrateur principal, son mot de passe, répéter le mot de passe, sélectionner la méthode suivant votre hébergement, classique est la plus courante et cliquer sur \"Ajouter l\'administrateur principal\". L\'administrateur secondaire et les éventuels collaborateurs sont ajoutés automatiquement.<br />
	&nbsp;</li>
	<li>Supprimer le répertoire Install.<br />
	Un clic sur Install et choisir \" Suppression des fichiers d\'installation/migration \"<br />
	Assurez-vous que les fichiers dans le répertoire install/ ont bien été supprimés.<br />
	Sinon toute personne, qui l\'exécuterait, détruirait tout le contenu de votre site !</li>
</ol>

<p>C\'est terminé votre site est maintenant migré vers la version 5.03.XX de GuppY !!!</p>

<p><br />
<span style=\"font-size:14px;\"><strong>Remarques importantes:</strong></span></p>

<p>Si le répertoire install/ existe toujours mais est vide (supprimez le alors par FTP, votre hébergeur n\'autorise pas son effacement par PHP) .<br />
Si vous ne pouvez plus voir le répertoire install/, cela veut dire que tout s\'est passé correctement.</p>

<p>Maintenant vous pouvez passer à la configuration complète de votre site, au changement de la skin, à la réorganisation de votre site si nécessaire.<br />
<br />
Pour terminer, il est recommandé d\'effectuer un ou plusieurs contrôles d\'intégrité pour arriver à aucune erreur.<br />
<br />
<br />
&nbsp;</p>
');
$fieldc2 = stripslashes('<h1 style=\"text-align: center;\"><span id=\"result_box\" lang=\"en\"><span title=\"Migrer en version 5 depuis une version 4.6.x
\">Migrate from a Version 4.6.xx to Version 5.03.xx</span></span><br />
&nbsp;</h1>

<h3>Pre-requisite:</h3>

<ul>
	<li>For versions prior to 4.6, <strong>it is mandatory to migrate to 4.6.28 before being able to migrate to 5.03.XX</strong><br />
	&nbsp;</li>
	<li>Have downloaded <strong>the complete GuppY 5.03.XX pack</strong> (always the latest complete pack for download).<br />
	&nbsp;</li>
	<li><strong>To migrate from version 4.6.x &lt; 4.6.28 you must for security pass the data to the mill available in Download &gt; Miscellaneous on freeguppy.org.</strong><br />
	&nbsp;</li>
	<li><strong>The minimum version of PHP that allows to use version 5 of GuppY is version 5.6 .</strong><br />
	<br />
	&nbsp;</li>
</ul>

<h3>Migration process:</h3>

<p></p>

<ol>
	<li>Run a \"DB integrity check\". Make sure it finds no error or run it again.<br />
	&nbsp;</li>
	<li>Back up all of your web site in 4.6 before going ahead with the next step.<br />
	&nbsp;</li>
	<li>Store a copy of this backup in a new folder on your hard drive, or even better, on another drive.<br />
	&nbsp;</li>
	<li>Log in admin / config services and Anti-Spam, empty fields and scripts renowned recording.<br />
	&nbsp;</li>
	<li>Delete the content of the plugins directory of the 4.6, because the plugins are not compatible with version 5.01, but please, <strong>make sure you do not touch the directory data/plugins.</strong><br />
	&nbsp;</li>
	<li>Drag and drop contents of GuppY 5.03 package at the root of the 4.6.x site to be migrated,&nbsp; <strong>with the exception of the .htaccess file.</strong><br />
	&nbsp;</li>
	<li>Get connected to site for display.<br />
	&nbsp;</li>
	<li>When showing, go straight to Admin, then Configurations and General Config to set up the site, particularly the url. GuppY will suggest it: it will added at a a click on the arrow, then you add the default CHMOD your host and you add the nickname and email of the webmaster. Don\'t forget to click \"Save\"<br />
	Attention! Some hosts cache data, in this case check Hosting with caching and leave the delay at 3.<br />
	&nbsp;</li>
	<li>Launch install by clicking yellow button \"Install\" top left of Admin page.<br />
	&nbsp;</li>
	<li>Choose migration and&nbsp; click \"Let\'s go!\".<br />
	&nbsp;</li>
	<li>No ambiguity on this new page, answer the question by click the appropriate button.<br />
	&nbsp;</li>
	<li>In the 2 next steps,&nbsp; click the button \"Lets\'go!\".<br />
	Note you may click \"No\" on these two steps, which will send you back to step 09.<br />
	&nbsp;</li>
	<li>Follow instructions and let migration run automatically.<br />
	Attention: depending on the volume of data, the process may be long!&nbsp;<br />
	In the end, unnecessary files and folders will be deleted.<br />
	&nbsp;</li>
	<li>When GuppY tells you that migration is done, accept proposition to delete \"Install\" directory not to forget it afterwards;&nbsp; click \"Next\" then twice \"Let\'s go!\" .<br />
	Eventually, you will see the homepage of your site with skin \"no_skin\".<br />
	&nbsp;</li>
	<li>Login as admin, check the site configuration as general configuration, add the main administrator and the secondary administrator as service configuration.<br />
	&nbsp;</li>
	<li>Go to Admin/Generals then Admin Protection, add the nickname of the main administrator, his password, repeat the password, select the method according to your hosting, classic is the most common and click on \"Add main administrator\". The secondary administrator and any collaborators are automatically added.<br />
	&nbsp;</li>
	<li>Delete the Install directory.<br />
	Click on Install and choose \"Delete installation/migration files\".<br />
	Make sure that the files in the install/ directory have been deleted.<br />
	Otherwise anyone, who would run it, would destroy all the content of your site!</li>
</ol>

<p></p>

<p>That\'s all, your site has been migrated to version 5.03.xx of GuppY !!!</p>

<p></p>

<h3>Important notices:</h3>

<p>If the install/ directory still exists but is empty (delete it then by FTP, your host does not allow it to be deleted by PHP).<br />
If you can no longer see the install/ directory, it means that everything went well.</p>

<p>Now you can proceed to the complete configuration of your site, change the skin, reorganize your site if necessary.</p>

<p>Finally, it is recommended to carry out one or more integrity checks to ensure that no errors are made.<br />
<br />
<br />
&nbsp;</p>
');
$fieldd1 = stripslashes('MNU 363');
$fieldd2 = stripslashes('');
$fieldweb = stripslashes('S');
$fieldmail = stripslashes('0|0|on');
$fieldmod = stripslashes('');
?>
