<?php
/*******************************************************************************
 *   Reaction box
 *******************************************************************************
 *   GuppY PHP Script - version 5.0
 *   CeCILL Copyright (C) 2004-2014 by Laurent Duveau
 *   Initiated by Laurent Duveau and Nicolas Alves
 *   Web site = http://www.freeguppy.org/
 *   e-mail   = guppy@freeguppy.org
 *   V5 developed by Lud Bienaimé
 *      with the participation of Jean-Michel Misrachi and the GuppY Team
 *******************************************************************************
 *   Latest Changes :
 * v5.02.00 (May 09, 2017)       : improvement of impressions
 ******************************************************************************/

if (stristr($_SERVER['SCRIPT_NAME'], 'boxreact.inc')) {
    header('location:../index.php');
    die();
}

if ($serviz[29] == '') {
  exit($web[143]);
}

$react = import('react');

$dbwork = array();
if (!empty($react)) {
    $dbwork[0] = $react;
}
elseif (!empty($pg)) {
    $dbreaction = ReadDBFields(DBREACT);
    for ($i = 0; $i < count($dbreaction); $i++) {
        if ($dbreaction[$i][1] == $pg && isAccessGranted($dbreaction[$i][6])) {
            $dbwork[] = $dbreaction[$i][0];
        }
    }
}
@rsort($dbwork);
$boxtopmess = $web[184];
if ($page[9] != "") {
    $boxtopmess = '<img src="'.CHEMIN.'inc/img/icons/'.$page[9].'/react.gif" class="f-ight" alt="" />'.$boxtopmess;
}
htable($boxtopmess, "100%");

echo '
<form name="react" action="'.($site['URLR'] == 'on' ? $lng.'-'.$urlrw[14].'-4-'.TYP_REACT.'-'.$pg.$z2 : $site['PG'].'.php?lng='.$lng.'&amp;typ='.TYP_REACT.'&amp;pg='.$pg.$z2).'" method="post">
  <input type="hidden" name="tconfig" value="'.$tconfig.'">
  <p class="textCenter">'.SubmitButton($web[181]).'</p>
</form>';

if (empty($id)) {
    $id = 1;
}
if (!empty($dbwork)) {
    if (abs($prt) == 3) {
        $id = 1;
        $serviz[30] = 99999;
    }
    for ($i = $serviz[30]*($id-1); $i < Min($serviz[30]*$id, count($dbwork)); $i++) {
        ReadDoc($dbwork[$i]);
        if ($status == 'a') {
            echo '
<div class="tbldiv width100 headreact">
  <div class="trtbldiv">
    <div class="forum tdtbldiv width15 valignTop headreactleft"><p>'.$web[185].$fielda1.'&nbsp;</p></div>
    <div class="quest tdtbldiv valignMiddle headreactright">'.$web[6].' ';
            if ($fieldd1 == 'on' && empty($prt)) {
                echo displayWriteEmail('react'.$i, $author, $email);
            }
            else {
                echo '
        <b>'.$author.'</b> ';
            }
            echo '
        '.$web[7].' '.FormatDate($creadate).'
    </div>
  </div>
</div>
<div class="tbldiv width100 bodyreact">
  <div class="trtbldiv">
    <div class="rep tdtbldiv">'.$fieldc1.'</div>
  </div>
</div>
<div class="tbldiv width100">
  <div class="trtbldiv">
    <div class="tdtbldiv">';
            if (empty($prt))
                echo '
        '.displayQuickConfig(NULL, $dbwork[$i], 'react&amp;form=2&amp;id='.$dbwork[$i], 'react&amp;act=i&amp;id='.$dbwork[$i], 'react&amp;del='.$dbwork[$i], 16);
            echo '
    </div>
  </div>
</div>
<br />
';
        }
    }
}
else {
    echo '
<div class="tbldiv textCenter noborder marginAuto">
  <div class="trtbldiv">
    <div class="tdtbldiv"><p class="textCenter">'.$web[186].'</p></div>
  </div>
</div>';
}
echo GetNavBar(($site['URLR'] == 'on' ? $lng.'-'.$urlrw[20].'-1003-'.$pg.'-'.$tconfig.'-': 'articles.php?lng='.$lng.'&amp;pg='.$pg.'&amp;tconfig='.$tconfig.'&amp;id='), count($dbwork), $id, $serviz[30], $z2);
btable();
?>
